bash (5.2.21-2.1ubuntu1) oracular; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.
    - Correct the bash(1) man-page to note that --rcfile does not prevent the
      execution of the system-wide /etc/bash.bashrc file (LP: #1097467)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 06 Jun 2024 10:30:03 -0500

bash (5.2.21-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move aliased files to /usr for DEP17. Closes: #1064888.

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 05 Jun 2024 17:19:12 +0200

bash (5.2.21-2ubuntu5) oracular; urgency=medium

  * Correct the bash(1) man-page to note that --rcfile does not prevent the
    execution of the system-wide /etc/bash.bashrc file (LP: #1097467)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 16 Apr 2024 21:44:44 +0100

bash (5.2.21-2ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:41:03 +0000

bash (5.2.21-2ubuntu3) noble; urgency=medium

  * Rebuild to pick up the t64 ABIs from glibc (LP: #2059078)

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 26 Mar 2024 18:18:11 +0100

bash (5.2.21-2ubuntu2) noble; urgency=medium

  * DEP17: Move files to /usr

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 11:31:00 +0100

bash (5.2.21-2ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Nov 2023 09:46:25 +0100

bash (5.2.21-2) unstable; urgency=medium

  * Fix crash in rl_do_undo, taken from upstream. See #1056314, #1037274.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Nov 2023 09:09:52 +0100

bash (5.2.21-1) unstable; urgency=medium

  * New patch release.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Nov 2023 11:43:49 +0100

bash (5.2.15-2ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Jan 2023 08:34:42 +0100

bash (5.2.15-2) unstable; urgency=medium

  * Remove one more pdf file without source. Closes: #1024598.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Jan 2023 13:06:21 +0100

bash (5.2.15-1) unstable; urgency=medium

  * New patch release.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Dec 2022 16:40:30 +0100

bash (5.2-3) unstable; urgency=medium

  * Apply upstream patches 003 - 015.
  * Repack to get rid of non-source PDF (Bastian Germann). Closes: #1024598.
  * d/watch: Update to v4 and add repack options.
  * d/copyright: Convert to machine-readable format, adding missing info.
    Closes: #1024602.
  * Enable all hardening flags (Christian Göttsche). Closes: #1021082.
  * Fix build on musl (Helmut Grohne). Closes: #1023053.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Dec 2022 11:32:01 +0100

bash (5.2-2) unstable; urgency=medium

  * Apply upstream patches 001 - 002.
    - Expanding unset arrays in an arithmetic context can cause a
      segmentation fault.
    - Starting bash with an invalid locale specification for
      LC_ALL/LANG/LC_CTYPE can cause the shell to crash. Closes: #1021062.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Oct 2022 10:34:28 +0200

bash (5.2-1ubuntu2) kinetic; urgency=medium

  * debian/patches: Import two upstream patches to fix crashes:
      - Bash-5.2-patch-1-fix-crash-with-unset-arrays-in-arit.diff
      - Bash-5.2-patch-2-fix-crash-in-readline-when-started-.diff (LP:#1992206)

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Fri, 07 Oct 2022 17:03:05 -0400

bash (5.2-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Sep 2022 09:52:11 +0200

bash (5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Sep 2022 16:50:07 +0200

bash (5.2~rc2-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Aug 2022 16:19:11 +0200

bash (5.2~rc2-2) unstable; urgency=medium

  * New upstream snapshot 5.2 rc2.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 25 Aug 2022 16:03:49 +0200

bash (5.2~rc1-1) experimental; urgency=medium

  * New upstream snapshot 5.2 rc1.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jul 2022 14:35:02 +0200

bash (5.2~beta-1) experimental; urgency=medium

  * New upstream snapshot 5.2 beta1.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Jun 2022 10:48:43 +0200

bash (5.1-6.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Replace add-shell/remove-shell with declarative shells.d trigger.
    Closes: #1004171

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 12 May 2022 17:05:40 +0200

bash (5.1-6ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Jan 2022 17:23:33 +0100

bash (5.1-6) unstable; urgency=medium

  * Apply upstream patches 013 - 016.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Jan 2022 17:16:52 +0100

bash (5.1-5ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Nov 2021 16:05:08 +0100

bash (5.1-5) unstable; urgency=medium

  * Apply upstream patches 009 - 012.
  * Bump standards version.
  * Remove preinst since "dash-as-sh"-transition is done. Closes: #958083.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Nov 2021 09:37:10 +0100

bash (5.1-3.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * preinst: Remove obsolete upgrade path from pre-wheezy. Closes: #958083

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 23 Oct 2021 11:36:52 +0200

bash (5.1-3ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 May 2021 09:14:11 +0200

bash (5.1-3) unstable; urgency=medium

  * Apply upstream patches 005 - 008.

 -- Matthias Klose <doko@debian.org>  Mon, 10 May 2021 08:52:10 +0200

bash (5.1-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Mar 2021 17:02:58 +0100

bash (5.1-2) unstable; urgency=medium

  * Apply upstream patches 001 - 004.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Jan 2021 10:44:50 +0100

bash (5.1-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Dec 2020 08:13:35 +0100

bash (5.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Dec 2020 08:03:28 +0100

bash (5.1~rc3-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Nov 2020 19:19:04 +0100

bash (5.1~rc3-1) unstable; urgency=medium

  * New upstream release candidate 3.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Nov 2020 16:24:54 +0100

bash (5.1~rc2-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 11:52:48 +0100

bash (5.1~rc2-1) unstable; urgency=medium

  * New upstream release candidate 2.
    - Fix locale related crash. Closes: #972672.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Nov 2020 18:01:32 +0100

bash (5.1~rc1-2) unstable; urgency=medium

  * Make the build reproducible. Closes: #935127.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Oct 2020 19:10:56 +0200

bash (5.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate 1.

 -- Matthias Klose <doko@debian.org>  Fri, 09 Oct 2020 17:47:40 +0200

bash (5.1~beta1-1) experimental; urgency=medium

  * New upstream snapshot 5.1 beta1.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Sep 2020 14:05:46 +0200

bash (5.1~alpha1-1) experimental; urgency=medium

  * New upstream snapshot 5.1 alpha1.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2020 19:24:57 +0200

bash (5.0-7) unstable; urgency=medium

  * Apply upstream patches 012 - 016.
  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2020 11:49:30 +0200

bash (5.0-6ubuntu2) groovy; urgency=medium

  * Apply upstream patches 017 (LP: #1878517)

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Thu, 18 Jun 2020 10:44:55 -0500

bash (5.0-6ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Feb 2020 13:03:22 +0100

bash (5.0-6) unstable; urgency=medium

  * Apply upstream patches 012 - 016.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Feb 2020 12:44:22 +0100

bash (5.0-5ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Nov 2019 16:54:47 -0800

bash (5.0-5) unstable; urgency=medium

  * Apply upstream patches 004 - 011.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Nov 2019 11:45:12 +0100

bash (5.0-4ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 May 2019 21:06:48 -0700

bash (5.0-4) unstable; urgency=medium

  * wait builtin: avoid hanging on inherited children. Closes: #920455.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Apr 2019 06:12:36 +0200

bash (5.0-3ubuntu2) eoan; urgency=medium

  * Resurrect "Set the default path to comply with Debian policy" in
    deb-bash-config.diff which went missing since 4.2+dfsg-1 or so.
    LP: #1792004 LP: #1614080 Closes: #781367
  * Add autopkgtest for the built-in path.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 May 2019 14:31:24 +0100

bash (5.0-3ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Apr 2019 05:11:47 +0200

bash (5.0-3) unstable; urgency=medium

  * Apply upstream patch 003.
  * Fix clear_console locking up video when X is running and logging out
    from a plain text console. Closes: #810660. LP: #1822184.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Apr 2019 04:30:33 +0200

bash (5.0-2ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Jan 2019 11:22:45 +0100

bash (5.0-2) unstable; urgency=medium

  * Apply upstream patches 001 and 002. Closes: #919439.
  * Merge back the 4.4.18-3.1 upload. Closes: #889757.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Jan 2019 11:01:16 +0100

bash (5.0-1ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 19:06:48 +0100

bash (5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Jan 2019 16:27:51 +0100

bash (5.0~beta2-1) experimental; urgency=medium

  * New upstream beta release.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Dec 2018 19:35:07 +0100

bash (5.0~beta1-1) experimental; urgency=medium

  * New upstream beta release.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Oct 2018 16:06:36 +0200

bash (5.0~alpha1-1) experimental; urgency=medium

  * New upstream alpha release.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Jun 2018 20:33:31 +0200

bash (4.4.18-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move man2html dependency to B-D-I and use the thinner -base variant.
    Closes: #889757.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 17 Jun 2018 21:15:06 +0200

bash (4.4.18-3) unstable; urgency=medium

  * Apply upstream patches 020 - 023. Fixing:
    - In circumstances involving long-running scripts that create and reap many
      processes, it is possible for the hash table bash uses to store exit
      statuses from asynchronous processes to develop loops. This patch fixes
      the loop causes and adds code to detect any future loops.
    - A SIGINT received inside a SIGINT trap handler can possibly cause the
      shell to loop.
    - There are cases where a failing readline command (e.g., delete-char at
      the end of a line) can cause a multi-character key sequence to `back up'
      and attempt to re-read some of the characters in the sequence.
    - When sourcing a file from an interactive shell, setting the SIGINT handle
      to the default and typing ^C will cause the shell to exit.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Jun 2018 21:05:11 +0200

bash (4.4.18-2ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Apr 2018 20:30:26 +0200

bash (4.4.18-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move man2html dependency to B-D-I and use the thinner -base variant.
    Closes: #889757.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 17 Jun 2018 21:15:06 +0200

bash (4.4.18-3) unstable; urgency=medium

  * Apply upstream patches 020 - 023. Fixing:
    - In circumstances involving long-running scripts that create and reap many
      processes, it is possible for the hash table bash uses to store exit
      statuses from asynchronous processes to develop loops. This patch fixes
      the loop causes and adds code to detect any future loops.
    - A SIGINT received inside a SIGINT trap handler can possibly cause the
      shell to loop.
    - There are cases where a failing readline command (e.g., delete-char at
      the end of a line) can cause a multi-character key sequence to `back up'
      and attempt to re-read some of the characters in the sequence.
    - When sourcing a file from an interactive shell, setting the SIGINT handle
      to the default and typing ^C will cause the shell to exit.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Jun 2018 21:05:11 +0200

bash (4.4.18-2) unstable; urgency=medium

  * Revert the changes from the last upload.
  * Configure the normal build --without-bash-malloc as well.
    See http://lists.nongnu.org/archive/html/qemu-devel/2018-03/msg04700.html
    for the qemu fix.  Closes: #865599. LP: #1751011.
  * Apply upstream patch 019.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Apr 2018 20:04:48 +0200

bash (4.4.18-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build again with -no-pie as dropping it broke bash when run under
    qemu-user (with the same symptoms as #842037). Closes: #889869
    Re-opens: #865599

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 13 Feb 2018 11:17:39 +0100

bash (4.4.18-1ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Feb 2018 13:12:30 +0100

bash (4.4.18-1) unstable; urgency=medium

  * bash 4.4.18 release (bash 4.4 patchlevel 18).
  * bash: Remove dependency on dash. Closes: #537913.
  * Update config.guess and config.sub. Closes: #882474.
  * skel.profile: Add $HOME/.local/bin if it exists. Closes: #839155.
  * Stop building with -no-pie. Closes: #865599, #859263.
  * /etc/bash.bashrc: Don't overwrite PS1 if SUDO_PS1 is set. Closes: #789811.
  * Make the build reproducible. Closes: #806945.
    - Use the system provided man2html to generate the htm docs.
    - Set PGRP_PIPE unconditionally on Linux.
  * Fix typo in German help (Carsten Leonhardt). Closes: #831282.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Feb 2018 12:20:45 +0100

bash (4.4-5ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 May 2017 13:32:04 -0400

bash (4.4-5) unstable; urgency=medium

  * Apply upstream patch 012.

 -- Matthias Klose <doko@debian.org>  Mon, 15 May 2017 12:45:32 -0700

bash (4.4-4) unstable; urgency=medium

  * Apply upstream patches 008 - 011.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Jan 2017 16:13:37 +0100

bash (4.4-3) unstable; urgency=medium

  * Apply upstream patches 006 - 007.
  * clear_console: Securely erase the current console. Closes: #845177.
  * Mark locales and time build dependencies with <!nocheck>.
    Closes: #838201.
  * Don't configure with --with-curses. Closes: #794588.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Jan 2017 11:52:59 +0100

bash (4.4-2ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Nov 2016 20:06:17 +0100

bash (4.4-2) unstable; urgency=medium

  * Apply upstream patches 001 - 005.
    - Closes: #844299, LP: #1641832.
  * Don't build with PIE. Closes: #842037.

 -- Matthias Klose <doko@debian.org>  Tue, 15 Nov 2016 19:49:00 +0100

bash (4.4-1ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Nov 2016 17:04:27 +0100

bash (4.4-1) unstable; urgency=medium

  * Bash 4.4 release.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Sep 2016 13:31:34 +0200

bash (4.4~rc2-1) experimental; urgency=medium

  * Bash 4.4 release candidate 2.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Aug 2016 09:53:08 +0200

bash (4.4~rc1+b2-1) experimental; urgency=medium

  * New upstream tarball, called "4.4 beta2".

 -- Matthias Klose <doko@debian.org>  Mon, 25 Jul 2016 20:35:44 +0200

bash (4.4~rc1-1) experimental; urgency=medium

  * Bash 4.4 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Mar 2016 21:36:22 +0100

bash (4.4~beta-1) experimental; urgency=medium

  * Bash 4.4 beta release.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Jan 2016 07:53:07 +0100

bash (4.3-15ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Jun 2016 09:16:03 +0200

bash (4.3-14ubuntu2) yakkety; urgency=medium

  * Disable building with pie (LP: #1518483)

 -- Steve Beattie <sbeattie@ubuntu.com>  Mon, 25 Apr 2016 15:00:52 -0700

bash (4.3-14ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Sep 2015 01:15:55 +0200

bash (4.3-14) unstable; urgency=medium

  * Apply upstream patches 040 - 042.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Sep 2015 01:04:38 +0200

bash (4.3-13ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Tiago Stürmer Daitx <tiago.daitx@canonical.com>  Wed, 29 Jul 2015 18:37:59 -0300

bash (4.3-13) unstable; urgency=medium

  * Apply upstream patches 034 - 039.
  * Disallow setuid scripts if not called as `sh' and not called with
    the -p option. Closes: #720545, #734866.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Jul 2015 14:53:19 +0200

bash (4.3-12) unstable; urgency=medium

  * Apply upstream patches 031 - 033.
  * Add a Built-Using attribute for bash-static. Closes: #769342.
  * Move definition of the macro "FN" out of the region of the "ig"
    macro.  Define macros and registers "zZ" and "zY". Closes: #774597.
  * Also set color prompt for *-256color terminals. Closes: #766443.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Jan 2015 17:05:00 +0100

bash (4.3-11ubuntu3) wily; urgency=medium

  * debian/patches/privmode.diff: disabled patch to re-enable proper
    privilege dropping security feature. (LP: #1459201)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 27 May 2015 10:57:56 -0400

bash (4.3-11ubuntu2) vivid; urgency=medium

  * debian/etc.bash.bashrc: print a hint how to get root access if user
    is in sudo group (lp: #1358827)

 -- Andrey Bondarenko <abondarenko@users.sourceforge.net>  Wed, 29 Oct 2014 08:08:56 -0400

bash (4.3-11ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Oct 2014 16:23:35 +0200

bash (4.3-11) unstable; urgency=medium

  * Apply upstream patches 028 - 030.
  * Remove the parser-oob patch.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Oct 2014 16:20:35 +0200

bash (4.3-10ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Sep 2014 20:47:35 +0200

bash (4.3-10) unstable; urgency=medium

  * Apply upstream patches 026 and 027.
  * Remove patches CVE-2014-6271 and variables-affix.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Sep 2014 13:36:38 +0200

bash (4.3-9.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add variables-affix.patch patch.
    Apply patch from Florian Weimer to add prefix and suffix for environment
    variable names which contain shell functions.
  * Add parser-oob.patch patch.
    Fixes two out-of-bound array accesses in the bash parser.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 25 Sep 2014 21:27:16 +0000

bash (4.3-9.1) unstable; urgency=high

  * Non-maintainer upload by the security team
  * Apply upstream patch bash43-025, fixing CVE-2014-6271.

 -- Florian Weimer <fw@deneb.enyo.de>  Wed, 24 Sep 2014 20:29:30 +0200

bash (4.3-9ubuntu4) utopic; urgency=medium

  * SECURITY UPDATE: out-of-bounds memory access
    - debian/patches/CVE-2014-718x.diff: guard against overflow and fix
      off-by-one in parse.y and y.tab.c.
    - CVE-2014-7186
    - CVE-2014-7187
  * SECURITY IMPROVEMENT: use prefixes and suffixes for function exports
    - debian/patches/variables-affix.diff: add prefixes and suffixes in
      variables.c.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 27 Sep 2014 05:20:35 -0400

bash (4.3-9ubuntu3) utopic; urgency=medium

  * SECURITY UPDATE: incomplete fix for CVE-2014-6271 (LP: #1373781)
    - debian/patches/CVE-2014-7169.diff: fix logic in parse.y and y.tab.c.
    - CVE-2014-7169

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Sep 2014 21:43:10 -0400

bash (4.3-9ubuntu2) utopic; urgency=medium

  * SECURITY UPDATE: incorrect function parsing
    - debian/patches/CVE-2014-6271.diff: fix function parsing in
      builtins/common.h, builtins/evalstring.c, subst.c, variables.c.
    - CVE-2014-6271

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 22 Sep 2014 15:21:42 -0400

bash (4.3-9ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Aug 2014 23:17:23 +0200

bash (4.3-9) unstable; urgency=medium

  * Apply upstream patches 023 - 024, fixing the issues:
    - bash does not correctly parse process substitution constructs that
      contain unbalanced parentheses as part of the contained command.
    - Indirect variable references do not work correctly if the reference
      variable expands to an array reference using a subscript other than 0
      (e.g., foo='bar[1]' ; echo ${!foo}).
  * debian/skel.bashrc: Add GCC_COLORS setting (disabled by default).

 -- Matthias Klose <doko@debian.org>  Thu, 21 Aug 2014 22:58:16 +0200

bash (4.3-8ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Aug 2014 09:35:20 +0200

bash (4.3-8) unstable; urgency=medium

  * Apply upstream patches 012 - 022, fixing the issues:
    - When a SIGCHLD trap runs a command containing a shell builtin while a
      script is running `wait' to wait for all running children to complete,
      the SIGCHLD trap will not be run once for each child that terminates.
    - Using reverse-i-search when horizontal scrolling is enabled does not
      redisplay the entire line containing the successful search results.
    - Under certain circumstances, $@ is expanded incorrectly in contexts
      where word splitting is not performed.
    - When completing directory names, the directory name is dequoted twice.
      This causes problems for directories with single and double quotes in
      their names.
    - An extended glob pattern containing a slash (`/') causes the globbing
      code to misinterpret it as a directory separator.
    - The code that creates local variables should not clear the `invisible'
      attribute when returning an existing local variable.  Let the code that
      actually assigns a value clear it.
    - When assigning an array variable using the compound assignment syntax,
      but using `declare' with the rhs of the compound assignment quoted, the
      shell did not mark the variable as visible after successfully performing
      the assignment.
    - The -t timeout option to `read' does not work when the -e option is used.
      LP: #1317476.
    - When PS2 contains a command substitution, here-documents entered in an
      interactive shell can sometimes cause a segmentation fault.
    - When the readline `revert-all-at-newline' option is set, pressing newline
      when the current line is one retrieved from history results in a double
      free and a segmentation fault. Closes: #747341.
    - Using nested pipelines within loops with the `lastpipe' option set can
      result in a segmentation fault.
  * Fix typo in package description. Closes: #707810.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Aug 2014 18:14:31 +0200

bash (4.3-7ubuntu3) utopic; urgency=medium

  * Revert the last change. Upload didn't mention any Ubuntu issues, and
    closing issues like lp: #890916 which complain that there are too many
    places to set aliases aren't solved by just adding another place to
    add these. Requires further discussion as also told before the upload.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 May 2014 11:58:40 +0200

bash (4.3-7ubuntu2) utopic; urgency=medium

  * Source profile.d from /etc/bash.bashrc to allow packages ship
    integration hooks into interactive shells, same ones they already ship
    for login shells. (Closes: #675008)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 07 May 2014 12:12:04 +0100

bash (4.3-7ubuntu1) trusty-proposed; urgency=medium

  * Merge with Debian, replacing local with upstream patches. LP: #1294669.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Apr 2014 23:22:21 +0200

bash (4.3-7) unstable; urgency=medium

  * Apply upstream patches 009 - 011 (replacing local patches):
    - Fix a problem with unsigned sign extension when attempting to reallocate
      the input line when it is fewer than 3 characters long and there has been
      a history expansion.  The sign extension causes the shell to not
      reallocate the line, which results in a segmentation fault when it writes
      past the end.
    - Change the behavior of programmable completion to compensate for two
      assumptions made by the bash-completion package.
    - The signal handling changes to bash and readline (to avoid running any
      code in a signal handler context) cause the cursor to be placed on the
      wrong line of a multi-line command after a ^C interrupts editing.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Apr 2014 23:10:28 +0200

bash (4.3-6ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Apr 2014 22:47:44 +0200

bash (4.3-6) unstable; urgency=medium

  * Apply upstream patches 001 - 008:
    - A missing check for a valid option prevented `test -R' from working.
      There is another problem that causes bash to look up the wrong variable
      name when processing the argument to `test -R'.
    - A change to save state while running the DEBUG trap caused pipelines to
      hang on systems which need process group synchronization while building
      pipelines.
    - When in callback mode, some readline commands can cause readline
      to segfault by passing invalid contexts to callback functions.
    - The `.' command in vi mode cannot undo multi-key commands beginning with
      `c', `d', and `y' (command plus motion specifier).
    - When in Posix mode, bash did not correctly interpret the ANSI-C-style
      $'...' quoting mechanism when performing pattern substitution word
      expansions within double quotes.
    - A shell that started with job control active but was not interactive left
      the terminal in the wrong process group when exiting, causing its parent
      shell to get a stop signal when it attempted to read from the terminal.
    - Using compound assignments for associative arrays like
        assoc=( [x]= [y]=bar )
      left the value corresponding to the key `x' NULL.  This caused
      subsequent lookups to interpret it as unset.
    - Some extended glob patterns incorrectly matched filenames with a leading
      dot, regardless of the setting of the `dotglob' option.
  * Replace already applied patches by the upstream patch files.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Apr 2014 22:20:10 +0200

bash (4.3-5) unstable; urgency=medium

  * Fix a display issue when a multiline command is aborted with ^C.
  * Fix a crash after a failed history expansion. LP: #1294669.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Mar 2014 19:10:21 +0100

bash (4.3-4ubuntu2) trusty; urgency=medium

  * Fix a display issue when a multiline command is aborted with ^C.
  * Fix a crash after a failed history expansion. LP: #1294669.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Mar 2014 19:56:55 +0100

bash (4.3-4ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Mar 2014 15:54:30 +0100

bash (4.3-4) unstable; urgency=high

  * Fix an issue with an associative array expanding to the
    empty string if the associated value is the empty string.
  * Fix an issue, when invoked as sh, bash doesn't interpret C-style escapes
    within double-quoted substitution expansions ("${var/$'what'/ever}").
  * Fix an issue with the extglob option to not expand hidden files.
  * Update the pcomplete-dequote patch.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Mar 2014 15:20:45 +0100

bash (4.3-3ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Mar 2014 19:37:16 +0100

bash (4.3-3) unstable; urgency=medium

  * Fix an issue with with empty completions and bash-completion.
    Closes: #741060 . LP: #1291586.
  * Fix an issue with updating terminal titles using trap commands.
    LP: #1294167.
  * Fix an issue in vi-mode, not re-doing the latest "dw", "dl", "D", ...
    commands.
  * Fix segfault in _rl_dispatch_callback(). Closes: #741555.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Mar 2014 18:54:13 +0100

bash (4.3-2ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Mar 2014 05:47:41 +0100

bash (4.3-2) unstable; urgency=medium

  * Build-depend on texlive-fonts-recommended.
  * Work around a build failure of bash static on ppc64el.
  * Only include the documentation into the bash-doc package. Closes:

 -- Matthias Klose <doko@debian.org>  Wed, 05 Mar 2014 05:05:16 +0100

bash (4.3-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Mar 2014 22:52:05 +0100

bash (4.3-1) unstable; urgency=medium

  * Bash 4.3 release.
  * Update debian/copyright.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Mar 2014 08:16:58 +0100

bash (4.3~rc2-1) experimental; urgency=medium

  * New upstream version 4.3 rc2.

 -- Matthias Klose <doko@debian.org>  Wed, 05 Feb 2014 15:20:17 +0100

bash (4.3~rc1-1) experimental; urgency=medium

  * New upstream version 4.3 rc1.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Dec 2013 23:01:38 +0100

bash (4.3~beta2-1) experimental; urgency=low

  * New upstream version 4.3 beta2.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Oct 2013 13:59:32 +0200

bash (4.2+dfsg-1) unstable; urgency=low

  * Apply upstream patches 038 - 045, fixes for
    - If a backslash-newline (which is removed) with no other input is given as
      input to `read', the shell tries to dereference a null pointer and
      segfaults.
    - Under certain circumstances, bash attempts to expand variables in
      arithmetic expressions even when evaluation is being suppressed.
    - Output redirection applied to builtin commands missed I/O errors if
      they happened when the file descriptor was closed, rather than on write
      (e.g., like with an out-of-space error on a remote NFS file system).
    - Process substitution incorrectly inherited a flag that inhibited using the
      (local) temporary environment for variable lookups if it was providing
      the filename to a redirection.  The intent the flag is to enforce the
      Posix command expansion ordering rules.
    - Compilation failed after specifying the  `--enable-minimal-config' option
      to configure (more specifically, specifying `--disable-alias').
    - When SIGCHLD is trapped, and a SIGCHLD trap handler runs when a pending
      `read -t' invocation times out and generates SIGALRM, bash can crash with
      a segmentation fault.
    - When converting a multibyte string to a wide character string as part of
      pattern matching, bash does not handle the end of the string correctly,
      causing the search for the NUL to go beyond the end of the string and
      reference random memory.  Depending on the contents of that memory, bash
      can produce errors or crash.
    - The <&n- and >&n- redirections, which move one file descriptor to another,
      leave the file descriptor closed when applied to builtins or compound
      commands.
  * Fix parallel build (Steven Chamberlain). Closes: #694659.
  * Fix german translations. Closes: #688571.
  * Fix typo in man page. Closes: #696706.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Mar 2013 14:56:51 +0100

bash (4.2+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove unused and non DFSG-compliant bash-4.2/lib/readline/doc from
    source. (Closes: #695709)

 -- David Prévot <taffit@debian.org>  Sat, 29 Dec 2012 21:19:34 -0400

bash (4.2-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/bash.preinst-lib.c: typo in fcntl argument (Closes: #679198).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 11 Dec 2012 22:02:44 +0100

bash (4.2-5ubuntu3) raring; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Mar 2013 15:28:53 +0100

bash (4.2-5.3) unstable; urgency=low

  * Apply upstream patches 038 - 045, fixes for
    - If a backslash-newline (which is removed) with no other input is given as
      input to `read', the shell tries to dereference a null pointer and
      segfaults.
    - Under certain circumstances, bash attempts to expand variables in
      arithmetic expressions even when evaluation is being suppressed.
    - Output redirection applied to builtin commands missed I/O errors if
      they happened when the file descriptor was closed, rather than on write
      (e.g., like with an out-of-space error on a remote NFS file system).
    - Process substitution incorrectly inherited a flag that inhibited using the
      (local) temporary environment for variable lookups if it was providing
      the filename to a redirection.  The intent the flag is to enforce the
      Posix command expansion ordering rules.
    - Compilation failed after specifying the  `--enable-minimal-config' option
      to configure (more specifically, specifying `--disable-alias').
    - When SIGCHLD is trapped, and a SIGCHLD trap handler runs when a pending
      `read -t' invocation times out and generates SIGALRM, bash can crash with
      a segmentation fault.
    - When converting a multibyte string to a wide character string as part of
      pattern matching, bash does not handle the end of the string correctly,
      causing the search for the NUL to go beyond the end of the string and
      reference random memory.  Depending on the contents of that memory, bash
      can produce errors or crash.
    - The <&n- and >&n- redirections, which move one file descriptor to anothe,
      leave the file descriptor closed when applied to builtins or compound
      commands.
  * Fix parallel build (Steven Chamberlain). Closes: #694659.
  * Fix german translations. Closes: #688571.
  * Fix typo in man page. Closes: #696706.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Mar 2013 14:56:51 +0100

bash (4.2-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/bash.preinst-lib.c: typo in fcntl argument (Closes: #679198).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 11 Dec 2012 22:02:44 +0100

bash (4.2-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/bash.preinst-lib.c: typo in fcntl argument (Closes: #679198).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 11 Dec 2012 22:02:44 +0100

bash (4.2-5) unstable; urgency=low

  * Apply upstream patch 037, fix for
    - Attempting to redo (using `.') the vi editing mode `cc', `dd', or `yy'
      commands leads to an infinite loop.

 -- Matthias Klose <doko@debian.org>  Fri, 03 Aug 2012 01:21:14 +0200

bash (4.2-4ubuntu1) quantal; urgency=low

  * Merge with Debian.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Jul 2012 23:52:40 +0200

bash (4.2-4) unstable; urgency=high

  * Apply upstream patches 030 - 036, fixes for
    - When attempting to glob strings in a multibyte locale, and those strings
      contain invalid multibyte characters that cause mbsnrtowcs to return 0,
      the globbing code loops infinitely.
    - A change between bash-4.1 and bash-4.2 to prevent the readline input hook
      from being called too frequently had the side effect of causing delays
      when reading pasted input on systems such as Mac OS X.  This patch fixes
      those delays while retaining the bash-4.2 behavior.
    - Bash-4.2 has problems with DEL characters in the expanded value of
      variables used in the same quoted string as variables that expand
      to nothing.
    - Bash uses a static buffer when expanding the /dev/fd prefix for the test
      and conditional commands, among other uses, when it should use a dynamic
      buffer to avoid buffer overflow.
    - In bash-4.2, the history code would inappropriately add a semicolon to
      multi-line compound array assignments when adding them to the history.
    - When given a number of lines to read, `mapfile -n lines' reads
      one too many.
    - Bash-4.2 produces incorrect word splitting results when expanding
      double-quoted $@ in the same string as and adjacent to other variable
      expansions.  The $@ should be split, the other expansions should not.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Jul 2012 23:58:51 +0200

bash (4.2-3) unstable; urgency=low

  * Apply upstream patches 025 - 029, fixes for
    - When used in a shell function, `declare -g -a array=(compound assignment)'
      creates a local variable instead of a global one.
    - The `lastpipe' option does not behave correctly on machines where the
      open file limit is less than 256.
    - When the `extglob' shell option is enabled, pattern substitution does not
      work correctly in the presence of multibyte characters.
    - When using a word expansion for which the right hand side is evaluated,
      certain expansions of quoted null strings include spurious ^? characters.
    - Bash-4.2 tries to leave completed directory names as the user typed them,
      without expanding them to a full pathname.  One effect of this is that
      shell variables used in pathnames being completed (e.g., $HOME) are left
      unchanged, but the `$' is quoted by readline because it is a special
      character to the shell. This patch introduces two things:
      - A new shell option, `direxpand', which, if set, attempts to emulate the
        bash-4.1 behavior of expanding words to full pathnames during
        completion;
      - A set of heuristics that reduce the number of times special characters
        such as `$' are quoted when the directory name is not expanded.
  * Mark bash and bash-static as Multi-Arch: foreign . Closes: #674120.
  * Avoid warning for unset debian_chroot with -u (Marko Mäkelä).
    Closes: #659940.
  * Fix string expansion: \u and \U for code points U+0080 to U+00FF (Darran
    Salt). Closes: #661386.
  * Search $- for `i' for the interactivity test. Closes: #482194.
  * Search for bash_completion in /usr/share/bash-completion too.
    Closes: #655071, #655208.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Jul 2012 13:45:35 +0200

bash (4.2-2ubuntu3) quantal; urgency=low

  * Stop hardcoding command-not-found's interpreter.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Jun 2012 10:16:47 +0100

bash (4.2-2ubuntu2) precise; urgency=low

  * Really apply upstream patches 021 - 024.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Apr 2012 17:27:05 +0200

bash (4.2-2ubuntu1) precise; urgency=low

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Apr 2012 23:58:07 +0200

bash (4.2-2) unstable; urgency=low

  * Fix command-not-found location. Closes: #529313.
  * Print a replacement error message if command-not-found was removed
    after bashrc was loaded. Closes: #631023. LP: #561155.
  * skel.bashrc: Document and prepare enabling the globstar feature (Fabian
    Greffrath). Closes: #627926.
  * Apply upstream patches 021 - 024.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Mar 2012 19:20:04 +0200

bash (4.2-1ubuntu3) precise; urgency=low

  * When cross-building, use the cross-strip, not the host strip.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Mar 2012 23:09:19 +0000

bash (4.2-1ubuntu2) precise; urgency=low

  * Build-depend on gettext:any instead of on gettext, so that apt-get can
    properly resolve build-dependencies on the tool when cross-building.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Mar 2012 21:50:28 -0700

bash (4.2-1ubuntu1) precise; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream sources, build the documentation in info format.
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases. 
    - etc.bash.bashrc:
      - Add sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Nov 2011 11:30:24 +0100

bash (4.2-1) unstable; urgency=low

  [ Matthias Klose ]
  * New upstream version.
  * Apply upstream patches 001 - 020.
  * Fix parsing of double doublequotes. LP: #780441.
  * /etc/bash.bashrc:
    - Fix quoting issue calling command-not-found. LP: #754859. Closes: #587185.
  * Don't cache the value of brk between sbrk calls (Samuel Thibault).
    Closes: #614815.
  * Remove the bashdb and bash-completion packaging rules and files.
  * Just link with libtinfo instead of libncurses if available.
  * Make lintian happy.
  * Use quilt to apply patches.
  * Fix build error with -Werror=format-security (Pierre Chifflier).
    Closes: #641350.
  * Fix build for the binary target, without calling the build target.
    Closes: #602159.
  * Fix cross builds (Steve McIntyre). Closes: #629929.

  [ Jonathan Nieder ]
  * Update copyright file. Many files that were GPL-2+ were relicensed
    under GPL-3+ in bash 4.0-rc1. Closes: #632177.
  * debian/rules: Use "rm -rf" instead of rmdir to remove usr/share/info
    directory in "with_gfdl = no" build. This prevents build failures when
    using the unmodified upstream tarball.
  * bash.preinst: Tidy up a little.
    - Remove codepath that would rename .bash_profile → .profile if .profile
      was unmodified from the gutsy → hardy transition. Closes: #602244
    - Remove commented experiment from bash-completion transition.
    - Remove misleading "dpkg --assert-support-predepends" check.
      Closes: #602456.
    - Move utility functions to a separate bash.preinst-lib.c and corresponding
      declarations to bash.preinst.h.
  * Remove /bin/sh symlink and /usr/share/man/man1/sh.1.gz from bash package
    contents. Closes: #602483.
    - debian/rules: Do not install /bin/sh and sh.1.gz symlinks.
    - bash.preinst:
      - Make sure /bin/sh is present and points to an executable, forcibly
        creating symlinks /bin/sh -> bash and /usr/share/man/man1/sh.1.gz ->
        bash.1.gz if not.
      - Divert /bin/sh and sh.1.gz on behalf of dash if we are upgrading from
        a bash version with /bin/sh in the files list and bash's copy of
        /bin/sh is not already diverted. This ensures unpacking bash will not
        cause /bin/sh to go missing.
  * bash.postinst: Simplify comment that contained an implementation detail
    about how /bin/sh is provided.
  * Use dpkg-buildflags to retrieve compiler options, including hardening flags.
    Build-Depends: dpkg-dev (>= 1.16.1) (Steve Langasek). Closes: #629929.
  * Pass --host to configure only when cross-compiling, --build always, as
    recommended in autotools documentation (Steve Langasek).

  * Merge from Ubuntu (closes: #648578):
    - /etc/skel/.bashrc:
      - Don't set HISTCONTROL twice. Thanks to Kevin Knerr. LP: #465500.
      - Set HISTFILESIZE to 2000 and HISTSIZE to 1000. LP: #544542.
      - README.Debian: Remove obsolete entry "Why is bash configured
        with --disable-net-redirections?"

 -- Matthias Klose <doko@debian.org>  Wed, 30 Nov 2011 07:29:05 +0100

bash (4.2-0ubuntu4) oneiric; urgency=low

  * Apply upstream patches:
    - 009: Fix segfault running `fc -l' two times in succession.
    - 010: Correctly print/reproduce here documents attached to commands
      inside compound commands.
  * Fix parsing of double doublequotes. LP: #780441.
  * /etc/bash.bashrc:
    - Fix quoting issue calling command-not-found. LP: #754859. Closes: #587185.
    - For .hushlogin file for sudo hint. LP: #672496.
  * Don't cache the value of brk between sbrk calls (Samuel Thibault).
    Closes: #614815.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 May 2011 10:56:41 +0200

bash (4.2-0ubuntu3) natty; urgency=low

  * Apply upstream patches 007 - 008.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Mar 2011 17:59:39 +0200

bash (4.2-0ubuntu2) natty; urgency=high

  * Apply upstream patches 001 - 006.
  * Fix bug in case evaluation handling (Chet Ramey). LP: #728748.
  * Work around build failure in bash-static on amd64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Mar 2011 00:16:53 +0100

bash (4.2-0ubuntu1) natty; urgency=low

  * Bash 4.2 release.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Feb 2011 01:25:40 +0100

bash (4.1-3) unstable; urgency=low

  * Apply upstream patches 003, 004, 005.
  * Fix crash in declare builtin.
  * /etc/skel/.bashrc:
    - Enable sourcing of ~/.bash_aliases by default. Closes: #569798.
    - Find command-not-found script. Closes: #529313.
  * README.Debian:
    - Remove references to --disable-net-redirections, bash-minimal.
    - Mention that the upstream changelog can be found in the bash-doc
      package. Closes: #551019.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Apr 2010 10:35:29 +0200

bash (4.1-2ubuntu5) natty; urgency=low

  * No-change upload to reduce changelogs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Dec 2010 12:46:59 +0100

bash (4.1-2ubuntu4) maverick; urgency=low

  * debian/skel.bashrc: add 'alert' alias, LP: #616028

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 10 Aug 2010 15:35:08 -0400

bash (4.1-2ubuntu3) lucid; urgency=low

  * Rebuild statically linked bash-static binary against recent libc.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Apr 2010 23:59:44 +0200

bash (4.1-2ubuntu2) lucid; urgency=low

  * Apply upstream patches 003, 004, 005.
    - Fix crash with command completion on a word with a quoted globbing
      character.
    - Fix executing a shell function in Posix mode without local
      variables, bash will not propagate a variable in a special builtin's
      temporary	environment to have global scope.
    - Fix the `read' builtin times out after the timeout specified with -t
      is exceeded, it does not reset the flags that tell signal handlers to
      process signals immediately instead of deferring their handling.
  * Fix crash in declare builtin. LP: #556101.
  * README.Debian:
    - Remove references to bash-minimal.
    - Mention that the upstream changelog can be found in the bash-doc
      package.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Apr 2010 12:56:48 +0200

bash (4.1-2ubuntu1) lucid; urgency=low

  [ Dustin Kirkland ]
  * Merge from debian testing.  Remaining changes:
    - Build from the upstream sources, build the documentation in info format.
    - /etc/bash.bashrc:
      + add sudo hint
      + allow special characters
      + add ll, la, l aliases
    - /etc/skel/.bashrc:
      + don't set HISTCONTROL twice
      + set HISTSIZE to a reasonable 2000
      + eval lesspipe
      + enable colored grep
      + add ll, la, l aliases
  * New bug fix, LP: #545262
    - /etc/skel/.bashrc: Uncomment useful aliases for ll, la, and l,
      to better match sysadmin's expectations coming from other
      enterprise distros

  [ Matthias Klose ]
  * Set HISTFILESIZE to 2000 in the skeleton bashrc. LP: #544542.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 23 Mar 2010 11:56:51 -0700

bash (4.1-2) unstable; urgency=low

  * Apply upstream patches 001, 002.

 -- Matthias Klose <doko@debian.org>  Fri, 12 Mar 2010 02:08:45 +0100

bash (4.1-1ubuntu2) lucid; urgency=low

  * Allow special characters in home path in /etc/bash.bashrc
    (LP: #330664)
  * skel.bashrc: Don't set HISTCONTROL twice
    (LP: #465500)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 10 Feb 2010 23:10:50 -0800

bash (4.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream sources, build the documentation in info format.
    - /etc/skel/.bashrc: eval lesspipe.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Jan 2010 19:10:28 +0100

bash (4.1-1) unstable; urgency=low

  * New upstream version 4.1.
  * Stop building the bash-minimal package, not needed anymore with
    dash being the default shell.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jan 2010 13:49:24 +0100

bash (4.1~rc1-1) unstable; urgency=low

  * New upstream version 4.1, release candidate 1.

 -- Matthias Klose <doko@debian.org>  Wed, 30 Dec 2009 15:41:40 +0100

bash (4.0-7) unstable; urgency=medium

  * Re-add the sh and sh(1) symlinks. Closes: #546516.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Sep 2009 08:11:58 +0200

bash (4.0-6) unstable; urgency=medium

  * Pre-depend on dash, instead of just depending on it.
    Closes: #546504, #546516, #546518.
  * Update and set homepage attribute. Closes: #546377, #546381.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Sep 2009 13:35:38 +0200

bash (4.0-5ubuntu2) karmic; urgency=low

  * Still ship the sh and sh(1) symlinks. LP: #429048.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Sep 2009 06:51:00 +0200

bash (4.0-5ubuntu1) karmic; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream sources, build the documentation in info format.
    - /etc/skel/.bashrc: eval lesspipe.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Sep 2009 13:22:17 +0200

bash (4.0-5) unstable; urgency=low

  * Re-add dependency on dash, lost with the upload of 4.0.
  * Don't configure with --disable-net-redirections.
  * Fix name of system wide bash_logout in bash(1). Closes: #546200.
  * Stop shipping the sh and sh(1) symlinks. Closes: #545103.
  * Apply upstream patches 029 - 033.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Sep 2009 12:55:54 +0200

bash (4.0-4ubuntu2) karmic; urgency=low

  * Changes to the skeleton .bashrc:
    - Source ~/.bash_aliases by default. LP: #408329.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Aug 2009 13:59:12 +0200

bash (4.0-4ubuntu1) karmic; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream sources, build the documentation in info format.
    - /etc/skel/.bashrc: eval lesspipe.
  * Changes to the skeleton .bashrc:
    - Source .bash_aliases after defining aliases. LP: #400686.
    - Enable color support for grep. LP: #386502.
  * The bash docs now  describe uname -s not having any effect on many
    systems. LP: #378595.
  * Don't ship an info dir file. LP: #358932.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Aug 2009 12:06:59 +0200

bash (4.0-4) unstable; urgency=low

  * Apply upstream patches 024 - 028.
    - patch 028 closes: #519165. bash-4.0 reverted to the historical
      shell behavior of raising an error when $@ or $* was expanded
      after `set -u' had been executed and there were no positional
      parameters.  The Posix working group has since clarified the
      standard's position on the issue, and $@ and $* are now the only
      variables, parameters, or special parameters that do not raise an
      error when unset if set -u is enabled.
  * Enable net redirections, now that bash isn't the default shell
    anymore.
  * Changes to the skeleton .bashrc:
    - Fix example lines in /etc/bash.bashrc to enable bash completion.
      Closes: #523706, #522857.
    - Don't export HISTCONTROL in bashrc. Closes: #540371.
    - Support user dircolors settings in ~/.dircolors. Closes: #506213.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Aug 2009 16:09:36 +0200

bash (4.0-3) experimental; urgency=low

  * Apply upstream patches 011 - 024.

 -- Matthias Klose <doko@debian.org>  Sun, 17 May 2009 15:29:21 +0200

bash (4.0-2) experimental; urgency=low

  * Apply upstream patches 001 - 010. Closes: #518289.
  * Fix insecure temp file handling in examples scripts. Closes: #509279.
  * /etc/skel.bashrc: Only source bash_completion, if posix mode is turned
    off. Closes: #498474.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Mar 2009 15:06:46 +0100

bash (4.0-1ubuntu1) jaunty; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream sources, build the documentation in info format.
    - /etc/skel/.bashrc: eval lesspipe.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Mar 2009 11:00:00 +0100

bash (4.0-1) experimental; urgency=low

  * New upstream version 4.0.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Mar 2009 10:56:15 +0100

bash (4.0-0ubuntu1) jaunty; urgency=low

  * New upstream version 4.0 beta.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 29 Nov 2008 18:20:35 +0100

bash (3.2-6) unstable; urgency=medium

  * bash. Depend on dash to install dash as a required package.

 -- Matthias Klose <doko@debian.org>  Mon, 20 Jul 2009 23:56:24 +0000

bash (3.2-5ubuntu1) jaunty; urgency=low

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Mar 2009 10:40:20 +0100

bash (3.2-6) unstable; urgency=medium

  * bash. Depend on dash to install dash as a required package.

 -- Matthias Klose <doko@debian.org>  Mon, 20 Jul 2009 23:56:24 +0000

bash (3.2-5) unstable; urgency=low

  * Apply upstream fixes 040 - 048.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Mar 2009 10:20:52 +0100

bash (3.2-4ubuntu1) intrepid; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream sources, build the documentation in info format.
    - /etc/skel/.bashrc: eval lesspipe.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 May 2008 18:53:01 +0200

bash (3.2-4) unstable; urgency=low

  * bash-minimal, bash-static: Only call `add-shell' on new installations.
  * Only call remove-shell on package removal or purge.

 -- Matthias Klose <doko@debian.org>  Mon, 12 May 2008 18:49:07 +0200

bash (3.2-3ubuntu1) intrepid; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream sources, build the documentation in info format.
    - /etc/skel/.bashrc: eval lesspipe.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 May 2008 08:32:22 +0000

bash (3.2-3) unstable; urgency=low

  * /etc/skel/.bashrc: Overwrite SHELL for calling lesspipe. Closes: #385168.
  * Only call `add-shell' on new installations. Closes: #477750.
  * Apply upstream fixes 034 - 039.
  * Add explicit copyright notice to clear_console(1).

 -- Matthias Klose <doko@debian.org>  Sun, 20 Apr 2008 13:31:10 +0200

bash (3.2-2ubuntu1) intrepid; urgency=low

  * Merge with Debian; remaining changes:
    - Build from the upstream sources, build the documentation in info format.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 May 2008 11:31:40 +0200

bash (3.2-2) unstable; urgency=low

  * Add a shopt option compat31 to fall back to the behaviour of bash-3.1 
    and earlier versions, in that quoting the string argument to the [[ 
    command's =~ +operator does not force string matching.

  * Merge from Ubuntu:
    - Remove /etc/skel/.bash_profile, if it is unmodified; if modified and
      /etc/skel/.profile is unmodifed, move .bash_profile to .profile.
    - /etc/skel/.bashrc: Add an option to blurt a terminal window with a
      colored prompt.
    - /etc/skel/.bashrc: Add color support for grep and friends (commented
      out by default). Closes: #420659.
    - /etc/skel/.profile: Avoid the use of `~'.
    - Don't run command-not-found from the shell scripts when it has been
      removed in the meantime.
  * /etc/skel/.bashrc:
    - Comment out the lesspipe settings. Closes: #470453.
    - Don't use PROMPT_COMMAND to set the title of an xterm. Closes: #420656.
    - Don't second-guess terminal handling in dircolors. Closes: #473870.
    - Don't overwrite GNU Midnight Commander's setting of HISTCONTROL to
      `ignorespace'. Closes: #440102.
    - Add a comment about setting HISTSIZE and HISTFILESIZE. Closes: #449587.
    - Append to the history file, don't overwrite it. Closes: #452459.
    - Use dir and vdir commands for dir vdir aliases. Closes: #420661.
  * /etc/skel/.profile:
    - Add comment about setting the umask for ssh logins. Closes: #314533.

  * Added code to defer the initialization of HISTSIZE until the history file
    is loaded. Closes: #383762.
  * Fix typos in README.Debian and preinst. Closes: #374452.
  * Mention `exec' builtin in the section `redirection'. Closes: #378067.
  * Add bashbug(1). Closes: #442477.
  * Fix typos in bash(1). Closes: #390493, #426687.
  * Fix bug in Bash_aliases example. Closes: #423488.
  * Fix typo in help message for caller builtin. Closes: #452656.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Apr 2008 11:20:08 +0200

bash (3.2-1) experimental; urgency=low

  * New upstream version (including upstream patches 01 - 33). Closes: #431620.
    - Added write error reporting to printf builtin. Closes: #414285.
    - Fixed a bug that caused `unset LANG' to not properly reset the locale.
      Closes: #364861.
    - Describe expansion of pattern in case statement. Closes: #342225.
    - Improved handling of non-printable characters in prompt. Closes: #352234,
      #362010, #397086, #418961, #471490.
    - Fix typos in documentation. Closes: #382892.

    The syntax of regexes in Bash 3.2 was changed so that single quotes no
    longer surround regexes. e.g, a regex of the form
      if [[ "foo.tex" =~ '^(.*)\.tex$' ]]
    becomes
      if [[ "foo.tex" =~ ^(.*)\.tex$ ]]
	
  * Merge from Ubuntu:
    - debian/skel.bashrc: Check for dircolors before using it.
    - debian/skel.bashrc: Set HISTCONTROL to ignoreboth.
    - Include correct bash.pot file.
    - Move CWRU/changelog from the bash to the bash-doc package (we already
      have the CHANGES files).
    - debian/etc.bash.bashrc: Install command-not-found handler if available.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Feb 2008 23:49:35 +0100

bash (3.2-0ubuntu17) hardy-proposed; urgency=low

  * /etc/skel/.bashrc: Fix typo, forcing a colored prompt. LP: #223256.
  * Add missing md5sum for feisty and gutsy /etc/skel/.bash_profile,
    so it is removed on upgrade to hardy if unmodified. LP: #211406.
  * Apply upstream patches 034 - 039, applying fixes for:
    - The bash getcwd replacement will write past the end of allocated memory
      when it allocates the buffer itself if it uses the buffer size passed
      as an argument, and that size is less than the length of the pathname.
    - Bash incorrectly puts the second and subsequent children spawned by a
      shell forked to run a command substitution in the wrong process group.
    - When initializing a subshell, bash did not reset a sentinel keeping
      track of the number of command substitutions, leading to an infinite
      loop if an error was encountered in the subshell.
    - Bash inappropriately evaluates command substitutions while expanding
      directory names as part of command substitution.
    - When reading input lines into a single variable using the `read' builtin,
      bash did not free the memory it read after assigining it to the named
      variable, causing a memory leak noticable when reading large amounts of
      data.
    - Replace shell-compat patches with upstream patch 039 (compat31).
  * Reenable running the testsuite during the build.
  * Only call add-shell on new installations; guard remove-shell in post
    removal.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 May 2008 09:56:53 +0200

bash (3.2-0ubuntu16) hardy; urgency=low

  * Remove /etc/skel/.bash_profile, if it is unmodified; if modified and
    /etc/skel/.profile is unmodifed, move .bash_profile to .profile.
    LP: #211406.
  * /etc/skel/.bashrc: Add an option to blurt a terminal window with a
    colored prompt. LP: #103929.
  * /etc/skel/.bashrc: Add color support for grep and friends (commented out 
    by default). LP: #144632.
  * /etc/skel/.profile: Avoid the use of `~'. LP: #200283.
  * Add a shopt option compat31 to falls back to the behaviour of bash-3.1 
    and earlier versions, in that quoting the string argument to the [[ 
    command's =~ +operator does not force string matching. LP: #110407.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Apr 2008 01:24:06 +0200

bash (3.2-0ubuntu15) hardy; urgency=low

  * Don't run command-not-found from the shell scripts when it has been
    removed in the meantime (LP: #194939)

 -- Kjell Braden <fnord@pentabarf.de>  Sun, 24 Feb 2008 12:01:31 +0100

bash (3.2-0ubuntu14) hardy; urgency=low

  * Build-depend on sharutils ... but save the control file before uploading.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Feb 2008 03:10:16 +0100

bash (3.2-0ubuntu13) hardy; urgency=low

  * Build-depend on sharutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Feb 2008 00:19:37 +0000

bash (3.2-0ubuntu12) hardy; urgency=low

  * Apply upstream patches 026 - 033. Fixes for:
    - Keep the Apple linker from attempting to link bash against Apple's
      readline library "replacement" rather than the one shipped with bash.
    - When updating the display after displaying, for instance, a list
      of possible completions, readline will place the cursor at the wrong
      position if the prompt contains invisible characters and a newline.
      LP: #119938.
    - Under some circumstances, readline will incorrectly display a prompt
      string containing invisible characters after the final newline.
    - When the bash arithmetic expression evaluator has temporarily turned off
      evalation, such as when parsing a pre- or post-decrement or -increment
      operator, and an error occurs, evaluation is not re-enabled.
    - If redirections attached to a compound command fail, bash does not set
      the command's exit status correctly.  This only happens when the command
      is the first in a sequential list.
    - In certain cases when outputting characters at the end of the line, e.g.,
      when displaying the prompt string, readline positions the cursor
      incorrectly if the prompt string contains invisible characters and the
      text being drawn begins before the last invisible character in the line.
    - There is an off-by-one error in the code that buffers characters
      received very quickly in succession, causing characters to be dropped.
    - References made within a function to an uninitialized local array
      variable using the [*] subscript in a double-quoted string  can result
      in spurious ASCII 127 characters in the expanded value.
  * Remove bash-completion from the source.
  * Remove the conflict with bash-completion, recommend bash-completion.
  * debian/skel.bashrc: Check for dircolors before using it. LP: #121992.
  * Include correct bash.pot file. LP: #104261.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Feb 2008 19:26:17 +0100

bash (3.2-0ubuntu11) gutsy; urgency=low

  * Move CWRU/changelog from the bash to the bash-doc package (we already
    have the CHANGES files).
  * Support safe-upgrade and full-upgrade in aptitude auto completion.
    (Benjamin Rubin). LP: #128575.

  [ Daniel Hahler]
  * Apply upstream patches 018 - 025 (LP: #147946), fixes for:
    - 018: Fix losing saved status of a background job and fix
      infinite loop after creating and waiting for 4096 jobs.
    - 019: Properly report error status when rl_read_key returns -1,
      fixes cause of input loops.
    - 020: Fix state consistency in some cases of error processing,
      when jumping back to the top-level processing loop from
      a builtin command.
    - 021: When the parser read a backslash-escaped character that would
      be treated internally as an escape, it would double the number
      of escape characters.
    - 022: POSIX specifies that the `read' builtin invoked from an interative
      shell must prompt with $PS2 when a line is continued using a backslash
      while reading from a terminal.
    - 023: When an error occurs during the pattern removal word expansion,
      the shell can free unallocated memory or free memory multiple times.
    - 024: Fix calculation of screen position when performing a redisplay in
      which the new text uses more space, but fewer bytes.
    - 025: Fix dropping each 511th character of buffered input, e.g. when
      pasting a large amount of data.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 Oct 2007 15:31:40 +0200

bash (3.2-0ubuntu10) gutsy; urgency=low

  * Trigger rebuild for hppa

 -- LaMont Jones <lamont@ubuntu.com>  Fri, 28 Sep 2007 10:34:31 -0600

bash (3.2-0ubuntu9) gutsy; urgency=low

  * debian/etc.bash.bashrc:
    - updated for new location of command-not-found
    - fix parsing of commands that look like arguments (LP: #124301)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Aug 2007 08:53:07 +0200

bash (3.2-0ubuntu8) gutsy; urgency=low

  * Apply upstream patch 014 - 017, fixes for:
    - Mishandling word splitting under certain circumstances when IFS is
      null (IFS=).
    - Fix unlinking FIFOs under certain circumstances, when using FIFOs
      for process substitution.
    - Fixes for displaying long prompts.
  * textex -> texlive transition.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 May 2007 11:39:42 +0200

bash (3.2-0ubuntu7) feisty; urgency=low

  * Apply upstream patch 011 - 013, fixes for:
    - 011: Under certain circumstances (loopback mounts), the bash getcwd does
      not return correct results.  This patch allows the use of the Solaris
      libc getcwd even though it doesn't dynamically allocate memory.
    - 012: Some systems (AIX 4.x) don't implement the PRI_xxx macros correctly,
      causing syntax errors when attempting to compile bash on those systems.
      This patch adds support for the PRI_MACROS_BROKEN define.
    - 013: Readline neglects to reallocate the array it uses to keep track
      of wrapped screen lines when increasing its size.  This will eventually
      result in segmentation faults when given sufficiently long input.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  6 Apr 2007 15:34:09 +0200

bash (3.2-0ubuntu6) feisty; urgency=low

  * Apply upstream patch 010.
    The glibc implementation of regcomp/regexec does not allow backslashes to
    escape "ordinary" pattern characters when matching.  Bash used backslashes
    to quote all characters when the pattern argument to the [[ special
    command's =~ operator was quoted.  This caused the match to fail on Linux
    and other systems using GNU libc.

 -- Matthias Klose <doko@ubuntu.com>  Tue,  6 Mar 2007 03:59:49 +0100

bash (3.2-0ubuntu5) feisty; urgency=low

  * Install /etc/skel/.profile, instead of /etc/skel/.bash_profile.
    Users will find a ~/.profile instead of ~/.bash_profile; ~/.profile
    is not read by a bash login shell, if ~/.bash_profile still exists.
  * Fix one more crash in clear_console. Ubuntu #87402.

 -- Matthias Klose <doko@ubuntu.com>  Sat,  3 Mar 2007 14:06:07 +0100

bash (3.2-0ubuntu4) feisty; urgency=low

  * Fix crash in clear_console. Ubuntu #85165.
  * Fix scp command completion. Ubuntu #82849.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Feb 2007 15:38:51 +0100

bash (3.2-0ubuntu3) feisty; urgency=low

  * debian/rules: Adjust to changed brace expansion in 3.2.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  8 Jan 2007 16:29:27 +0000

bash (3.2-0ubuntu2) feisty; urgency=low

  * Apply upstream patches 006 - 009.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  8 Jan 2007 11:07:45 +0000

bash (3.2-0ubuntu1) feisty; urgency=low

  * New upstream version.
    - Remove rl-inputrc.dpatch, applied upstream.
    - Remove ulimit.dpatch, ulimit-doc.dpatch, read-memleak, login-shell,
      man-typos, applied upstream.
  * Bugs fixed upstream:
    - Traps overwrite job names. Ubuntu #41082.
  * Apply upstream patches 001 - 005.
  * Set HISTCONTROL to ignoreboth. Ubuntu #66539.
  * Fix comment about umask setting in /etc/skel/.bash_profile. Ubuntu #71294.
  * bash-completion:
    - Fix typo in pkg-config completion. Ubuntu #58054.
    - Add completion for apt-get autoremove. Ubuntu #60666.
    - Add kaffeine completion for srt files. Ubuntu #64274.
  * Merge with Debian unstable; remaining changes:
    - Source package built using the unmodified upstream tarball.
    - Build the bash-doc package including the texinfo docs.
    - Skeleton scripts.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  4 Dec 2006 10:01:04 +0000

bash (3.1dfsg-9) unstable; urgency=low

  * Remove bash-completion from the source.
  * Remove the conflict with bash-completion, recommend bash-completion.
  * Fix quotes in man page. Closes: #402845.
  * clear_console: Don't segv if stdin isn't a tty. Closes: #451819.
  * clear_console(1): Fix synopsis. Closes: #441242.
  * Clarify bash-doc package description: Closes: #394275.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Feb 2008 10:14:22 +0100

bash (3.1dfsg-8) unstable; urgency=high

  * bash-doc: Install copyright file when building without the
    gfdl'ed docs. Closes: #402471.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Dec 2006 22:08:10 +0100

bash (3.1dfsg-7) unstable; urgency=medium

  * Restore the bash(1) manual page. Closes: #392989.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Oct 2006 13:41:59 +0000

bash (3.1dfsg-6) unstable; urgency=low

  * Remove the texinfo documentation from the package. Closes: #357260.
  * Remove the FAQ from the package.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Oct 2006 22:35:46 +0200

bash (3.1-5ubuntu3) edgy; urgency=low

  * debian/bash_completion/bash_completion:
    - added new apt autoremove option
  * debian/etc.bash.bashrc:
    - if the command-not-found package is installed, use it

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Sep 2006 21:56:57 +0200

bash (3.1-5ubuntu2) edgy; urgency=low

  * debian/patches/command-not-found-bashrc.diff:
    - support the command-not-found package (if installed) 
      out-of-the-box (command-not-found-magic spec)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Aug 2006 20:22:52 +0200

bash (3.1-5ubuntu1) edgy; urgency=low

  * Resynchronize with Debian unstable.
    - Remaining change: bashrc sudo hint.

 -- Matthias Klose <doko@ubuntu.com>  Wed,  5 Jul 2006 13:11:22 +0000

bash (3.1-5) unstable; urgency=low

  * Work around the broken remove-shell, not checking for the existance
    of /etc/shells (closes: #337097).
  * Force rebuild of bashref.info (closes: #354303, #357258).
  * Apply upstream patches 015, 016, 017, fixing
    - a problem with the extended globbing code prevented dots from matching
      filenames when used in some extended matching patterns.
    - core dumps when attempting to perform globbing in directories with
      very large numbers of files.
    - Array expansion failure with an arithmetic syntax error when the
      subscript appears within double quotes. Closes: #358831.
  * Add copyrights for contributed files (Joost van Baal). Closes: #357607.
  * bash_completion:
    - Add apt-cache madison completion: Closes: #342073, #359021.
    - Complete files with spaces for bzip2. Closes: #356218.
    - Complete whatis and apropos like man. Closes: #352145.
    - Ignore stderr in apt-cache completion. Closes: #367198.
    - Add flv|FLV files completion for mplayer. Closes: #364509, #373904.
    - Add dvi|DVI files completion for evince. Ubuntu #49880.
  * Fix typos in man page. Closes: #360543.

  [ Ian Jackson ]
  * Make bash die if it cannot read its input file.  Closes: #320036.
    (This is not an ideal fix because, for example, the exit status is
    still wrong - it should be 127, not 2.  Also, the filename is not
    printed.  Unfortunately the code is badly tangled making this small
    fix the most appropriate approach.)

 -- Matthias Klose <doko@debian.org>  Wed,  5 Jul 2006 06:56:54 +0200

bash (3.1-4) unstable; urgency=low

  * Update upstream patch 010, apply upstream patches 012, 013, 014.
  * bash-default-editor.dpatch: Fix typo (closes: #356308).
  * clear_console: Add FreeBSD support (Aurelian Jarno). Closes: #355336.
  * clear_console: Only get rid of any history in the scrollback, if
    not running in a pseudo tty (closes: #355815).
  * bash_completion:
    - Fix error in minicom completion (closes: #357241).

 -- Matthias Klose <doko@debian.org>  Thu, 23 Mar 2006 01:16:22 +0100

bash (3.1-3) unstable; urgency=low

  * Apply upstream patches 006, 007, 008, 009, 010 and 011.
  * Define PGRP_PIPE to avoid race condition; monitor mode causes emacs as
    $EDITOR to hang on kernel 2.6 (Jim Paris). Closes: #224543.
  * Fix read memleak when reading from non-blocking fd (Tim Waugh).
  * Recognize 'exec -l /bin/bash' as login shell (Tim Waugh).
  * Fix parameter expansion: Array member length expansion fails with nested
    index expression (Jan C. Nordholz). Closes: #345861.
  * Add swedish translation of message strings. Closes: #349677.

  Merge from Ubuntu:
  * clear_console: New helper program to clear the console, including
    the scrollback buffer.
  * /etc/skel/.bash_logout: Install it again and use clear_console.
    Ubuntu #29405. Closes: #331504.
  * /etc/skel/.bashrc: Enable bash_completion.
    Ubuntu #11414, #25096.
  * bash_completion:
    - Fix ssh completion to match lines starting with `Hostname' as well.
      Closes: #343312.
  * Add ulimit options -e and -r.

  * Update bash_completion to 20060301:
    - Completion for minicom(1), mtr(8), sysctl(8), smartctl(8), vncviewer(1),
      invoke-rc.d, update-rc.d and dpkg-source has been added.
      Closes: #323824, #327414.
    - gdb completion of second parameter was broken when first parameter
      contained white space.
    - gdb completion wasn't completing second parameter correctly when it was
      a file, rather than a PID.
    - Ruby ri completion has been broken for some time. This is now fixed.
    - Various fixes to work around change in how POSIX quoting is handled in
      bash 3.1.
    - subversion completion has been reimplemented from scratch and integrated
      into the main file.
    - iconv(1) completion has been improved.
    - yum(8) completion has been updated for current version of yum.
    - ant completion will now make use of complete-ant-cmd.pl, if available.
    - cvs(1) completion has been improved with 'update' and 'stat' completion.
    - 'aptitude show' now works in the same way as 'apt-cache show'.
    - make(1) now also completes on file names.
    - MPlayer will now also complete on .flac, .mpc and .3gp files.
      Closes: #340452.
    - wine will now also complete on .exe.so files.
    - unzip will now also complete on oowriter's .ott files.
    - xine et al will now complete on .mng files.
    - The list of programs completing on .dvi files has been expanded.
    - The range of files on which timidity and evince complete has been
      expanded. Closes: #351848.
    - mkisofs completion now defaults to treating results as file names.
    - $DEBUG has been renamed $BASH_COMPLETION_DEBUG to avoid namespace clashes
      with other software.
    - man(1) completion now works correctly on OpenBSD.
    - svk and Mercurial completion have been added to contribs. Closes: #324169.
    - Many other small optimisations and fixes. Closes: #325056.

 -- Matthias Klose <doko@debian.org>  Sat,  4 Mar 2006 01:54:25 +0100

bash (3.1-2) unstable; urgency=low

  * Apply upstream patches 002 - 005.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Jan 2006 00:19:25 +0100

bash (3.1-0ubuntu3) dapper; urgency=low

  * Document supported ulimit options.
  * Fix parsing problems with compound assignments
  * Fix readline callback interface.
  * Fix ssh command completion (closes: #343312).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Dec 2005 11:31:36 +0100

bash (3.1-0ubuntu2) dapper; urgency=low

  * command-not-found handler: Print error message, when command not found.
    Ubuntu #5120.
  * fix ssh command completion.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Dec 2005 16:14:14 +0100

bash (3.1-1) unstable; urgency=low

  * New upstream version (final 3.1 release).
    - Fixed a small memory leak in the programmable completion code.
      Closes: #338822.
  * Generate the locales needed for the testsuite, build-depend on locales.
  * Improve check for existance of /dev/stdin during build. Closes: #333935.
  * Fix bash_completion, sudo completion does not protect empty arguments.
    Closes: #329148.
  * /etc/bash.bashrc: Don't change the xterm title by default, keep the
    default for /etc/skel/.bashrc. Closes: #313617, #314614.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Dec 2005 00:56:28 +0100

bash (3.0+3.1rc1-1) unstable; urgency=low

  * New upstream version (3.1-rc1).
  * Remove patches applied upstream: rl-del-backspace-policy, bad-interp.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Nov 2005 12:59:32 +0000

bash (3.0+3.1b1-1) unstable; urgency=low

  * New upstream version (3.1-beta1).
  * Remove bash's dependency on passwd, add one to debianutils (>= 2.15).

 -- Matthias Klose <doko@debian.org>  Thu, 13 Oct 2005 15:49:49 +0200

bash (3.0+3.1a1-1) unstable; urgency=low

  * New upstream version (3.1-alpha1).
    - Fix "cd -P" hanging (closes: #316407).
    - Fixed exit status code so that a suspended job returns 128+signal as its
      exit status (preventing commands after it in `&&' lists from being
      executed). Closes: #288319.
    - The globbing code now uses malloc, with its better failure properties,
      rather than alloca(). Closes: #238226.
    - In POSIX mode, if `xpg_echo' option is enabled, the `echo' builtin
      doesn't try to interpret any options at all, as POSIX requires.
      Closes: #303649.
    - Some changes to the display code to improve display and redisplay of
      multibyte characters. Closes: #309654.
    - Fixed a bug that caused bash to close fd 2 if an `exec' failed and the
      shell didn't exit. Closes: #310308.
    - Fix segmentation fault if execve'd with NULL argv. Closes: #316206.
    - Fix segfault, if free is called with already freed block argument.
      Closes: #317324.
    - Fix garbage in bash(1), section SIGNALS. Closes: #327035.
    - Fixed vi-mode searching so that failure preserves the current line rather
      than the last line in the history list. Closes: #297330.
    - Fix segfault on variable assignment. Closes: #291840.
    - Fixed parser to generate an error when the pipeline `argument'
      to `!' or `time' is NULL. Closes: #273324, #342228.
    - A bare `%' once again expands to the current job when used as a job
      specifier, updated the help for `%'. Closes: #262095.
    - Fix tilde expansion for some cases where it was performed
      inappropriately. Closes: #263023.
    - Replicate first character of $PS4, not only the first byte.
      Closes: #288125.
    - bashref.texi: Remove blank lines from contents. Closes: #307264.
  * Remove patches applied upstream:
    - bash30*, wcontinued, man-cdpath, update-multibyte-ifs, histtimeformat,
      spelingm.
    - rl-examples, rl-setenv, rl-display, rl-self-insert.
  * Update patches:
    - deb-bash-config, man-test, man-test2.
  * bash(1): Fix /etc/bash.logout file name (closes: #289355).
  * Document, that bash is configured using --disable-net-redirections.
    Closes: #313538.
  * Use `command -v editor`, as an editor, if available. Closes: #296603.

 -- Matthias Klose <doko@debian.org>  Fri,  9 Sep 2005 21:09:46 +0200

bash (3.0-17) unstable; urgency=low

  * Check that the device files /dev/std{in,out,err} are present at
    build time. Closes: #327477.
  * Remove html completion for w3m, users claim w3m to be a general viewer.
  * /etc/bash.bashrc: Avoid stat on /etc/debian_chroot, if not necessary.
    Closes: #303712.
  * debian/patches/wcontinued.dpatch: Update, fixing hangs in
    bash_completion (Junichi Uekawa). Closes: #318301.
  * Build-depend on texinfo (>= 4.8). Closes: #316066.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Oct 2005 11:24:21 +0000

bash (3.0-16ubuntu3) breezy; urgency=low

  * Don't install .bash_logout again, doesn't clear the buffer and
    ps is not in required.

 -- Matthias Klose <doko@ubuntu.com>  Wed,  5 Oct 2005 13:29:22 +0200

bash (3.0-16ubuntu2) breezy; urgency=low

  * Fix segmentation fault due to gcc optimization and longjmp. Patch
    by Jim Paris. Debian #331381.
  * Don't overwrite PROMPT_COMMAND in /etc/bash.bashrc. Ubuntu #15122.
    Closes #330889.
  * Install skeleton .bash_logout to clear the screen, when logging out
    from the console. Ubuntu #10149.

 -- Matthias Klose <doko@ubuntu.com>  Tue,  4 Oct 2005 18:01:26 +0200

bash (3.0-16ubuntu1) breezy; urgency=low

  * bash_completion changes:
    - Add completion for evince.
    - Fix completion for aptitude (Ubuntu 12549).
      Closes: #293979, #325045, #327413.
    - Add completion for *.flac files in mplayer (closes: #304778).
    - Add completion for *.ott files for unzip and zipinfo (closes: #322481).
    - Add html completion for w3m.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  9 Sep 2005 20:33:31 +0200

bash (3.0-16) unstable; urgency=low

  * Update to bash_completion 20050721 (v1.827).
    - Fix function name in aptitude completion (closes: #304624, #320390).
  * In PROMPT_COMMAND, use ~ instead of the complete path.
  * Adjust for dpkg-dev (>= 1.13.9). Closes: #313546.

 -- Matthias Klose <doko@debian.org>  Mon,  5 Sep 2005 18:37:19 +0200

bash (3.0-15) unstable; urgency=low

  * glibc-2.3.5 defines WCONTINUED, which is available only since
    Linux 2.6.10.  On older kernels waitpid() returns -1 with errno
    set to EINVAL if WCONTINUED is supplied in options. Retry without
    WCONTINUED set in that case.

 -- Matthias Klose <doko@debian.org>  Wed, 25 May 2005 12:38:09 +0000

bash (3.0-14ubuntu1) breezy; urgency=low

  * Configure the static build --without-bash-malloc.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 May 2005 07:28:25 +0000

bash (3.0-15) unstable; urgency=low

  * Print out bad interpreter names with trailing ^M (DOS line endings).
    Closes: #282762.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Jan 2005 20:24:58 +0100

bash (3.0-14) unstable; urgency=low

  * Fix re-read-init-file (C-xC-r) not to read /etc/inputrc twice,
    but /etc/inputrc and ~/.inputrc. Thanks to Vasco Pedro.
  * Fix bug in readline's self-insert command (closes: #290103).
  * Fix bash-builtins package description (closes: #290258).
  * Add cross build support (closes: #283732).
  * Update to bash_completion 20050121 (v1.786).
    - Improve ssh2 known hosts completion. (closes: #282767).
    - Pass over switches to metacommands like sudo, nice, exec, etc.
      (closes: #289847)
    - Trivial fix to allow python to be called with a path component without
      bash displaying a bad subscript error. (closes: #290748)
    - unzip should also work on .sxw files. (closes: #286738).
    - Lots of commands that use _longopts() don't use filenames at all, so
      these shouldn't be mapped with '-o filenames'. (closes: #283069, which
      related only to wget).
    - Make dd treat completions as filenames, which is bad for options, but
      good for filename arguments to 'if' and 'of'. (closes: #287286).
    - Fix lvresize errors when running as non-root (closes: #285604).

 -- Matthias Klose <doko@debian.org>  Sat, 22 Jan 2005 23:08:57 +0100

bash (3.0-13) unstable; urgency=low

  * Update to bash_completion 20050103 (v1.772).
  * Fix segfault in the ``reverse-search-history'' feature of the readline
    library, if the search string matches a previously entered command (ie
    history) and must overflow the current screen width. Closes: #288940.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Jan 2005 08:11:36 +0100

bash (3.0-12) unstable; urgency=low

  * debian/skel.bashrc: Quote dircolors invocation (closes: #285840).

 -- Matthias Klose <doko@debian.org>  Sun, 19 Dec 2004 17:48:17 +0100

bash (3.0-11) unstable; urgency=low

  * Adjustments to the skeleton files.
  * Fix spelling errors in the docs (closes: #281842).

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2004 06:37:48 +0100

bash (3.0-10) unstable; urgency=low

  * Apply upstream patch 015-016.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Nov 2004 07:15:34 +0100

bash (3.0-9) unstable; urgency=low

  * Apply upstream patch 001-014.
  * Document handling of parameters of the test builtin (closes: #173273).

 -- Matthias Klose <doko@debian.org>  Fri, 29 Oct 2004 23:57:19 +0200

bash (3.0-8) unstable; urgency=low

  * Add a comment to /etc/bash.bashrc that the file is not read by
    login shells (closes: #271413).
  * Sync builtin CDPATH documentation with man page (closes: #259767).
  * Document conditional file expressions acting on the target of
    symbolic links as well (except -h, -L). Closes: #231267.
  * Update to bash_completion 20041017 (v1.758).
    - Unset `have' variable at end of sourcing (closes: #273809).
    - Fix scp completion breakage when filenames contained an ampersand.
      Closes: #262354.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Oct 2004 09:31:03 +0200

bash (3.0-7) unstable; urgency=low

  * Apply upstream patches 001-013, remove patches collected from the net.
  * Patch bash30-003 restores a measure of backwards compatibility for the
    `trap signum' syntax (closes: #261948).
  * Trim skeleton files.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Sep 2004 09:06:36 +0200

bash (3.0-6) unstable; urgency=low

  * Fixed in bash-3.0:
    - New option pipefail. If set, the return value of a pipeline is the
      value of the last (rightmost) command to exit with a non-zero status,
      or zero if all commands in the pipeline exit successfully.  This option
      is disabled by default. The two oldest outstanding bash reports are
      gone (closes: #7047, #10494).
    - "$( substitution strangeness (closes: #187983).
    - timestamp support in history (closes: #161057).
  * Various updates from the net:
    - Fix a bug in array expansion.
    - Fix a bug in brace expansion.
    - Handle multibyte characters in IFS values.
    - Fix a bug, when pipefail option is set.
    - History saved-line handling (closes: #253766, #268922).
    - Fix parameter expansion with UTF-8 and ${#var} or ${var: -1}.
  * Apply patch to fix non POSIX function name and avoid use of global
    variables (Stephen Gildea). Closes: #262105.
  * Add command_not_found_handle in non POSIX interactive shells.
    Closes: #243015.
  * Check for /usr/sbin/remove-shell before using it (closes: #265982).
  * bash-builtins: Install missing header files (closes: #265259).
  * Clarify documentation about substring expansion (closes: #192831, #203767).
  * Fix completion on ~/../``/<tab> (closes: #261142).
  * Clarify documentation about case-insensitive pathname expansion.
    Closes: #141292.
  * Apply patch to fix the display of UTF-8 characters.
    Closes: #224916, #257540.

 -- Matthias Klose <doko@debian.org>  Sat,  4 Sep 2004 10:21:23 +0200

bash (3.0-5) unstable; urgency=medium

  * Fix segfault and wrong behaviour running the firehol script.
    Closes: #262438, #262642.
  * Add  history scrolling patch patch (closes: #263064).
  * Strip bash binary, leftover from debugging (closes: #263451).
  * `cd -' printing the directory in non-interactive mode, non-POSIX mode
    is new behaviour, not a bug (closes: #262619).
  * Address build failure calling the 'binary' target directly instead of
    dpkg-buildpackage (closes: #263797).
  * Remove kfreebsd-gnu hack to disable bash malloc (closes: #263005).

 -- Matthias Klose <doko@debian.org>  Fri,  6 Aug 2004 07:10:24 +0200

bash (3.0-4) unstable; urgency=low

  * Revert substitution patch trying to fix completion on ~/../``/<tab>.
    Reopens: #261142. Closes: #261955, #262338, #262602.

 -- Matthias Klose <doko@debian.org>  Sun,  1 Aug 2004 12:36:57 +0200

bash (3.0-3) unstable; urgency=high

  * Revert the following upstream change (until sarge is released):
    The historical behavior of `trap' that allows a missing `action' argument
    to cause each specified signal's handling to be reset to its default is
    now only supported when `trap' is given a single non-option argument.
    Addresses: #261948.
  * Fix line wrapping (closes: #261957).

 -- Matthias Klose <doko@debian.org>  Fri, 30 Jul 2004 16:17:22 +0200

bash (3.0-2) unstable; urgency=medium

  * Fix typo in bash-minimal's postinst. Closes: #260506.
  * Fixed in bash-3.0:
    - pwd builtin exiting with write error. Closes: #243872.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Jul 2004 07:13:13 +0200

bash (3.0-1) unstable; urgency=medium

  * New upstream release.
  * Bugs fixed in this release (and the alpha/beta releases and release
    candidates):
    - Fixed a bug that caused the prompt to overwrite previous output when the
      output doesn't contain a newline and the locale supports multibyte
      characters.  This same change fixes the problem of readline redisplay
      slowing down dramatically as the line gets longer in multibyte locales.
      Closed: #179883.
    - The shell no longer seg faults if the expanded value of $PS4 is null
      and `set -x' is enabled. Closes: #165533.
    - Don't define a default DEFAULT_MAIL_DIRECTORY, because it can cause
      a timeout on NFS mounts. Closes: #211426.
    - Fixed a bad interaction between alias and completion. Closes: #186218.
    - Fix initialization of local variables with "$@". Closes: #180290.
    - Fixed segfault in "read -a foo <<< $(echo)". Closes: #167003.
    - Fixed the history word tokenizer to handle <( and >( better when used as
      part of bash. Closes: #165212.
    - Fixed EINTR signal killing redirection. Closes: #164134.
    - Fixed infinite loop with IFS="<non-ws-char>" and compgen -W.
      Closes: #162952.
    - Fixed the internal logout code so that shells that time out waiting for
      input (using $TMOUT) run ~/.bash_logout. Closes: #152847.
    - Speedups to the multibyte character redisplay code. Closes: #197965.
    - Better error message on wrong kill arguments. Closes: #193570.
    - Overwriting of prompt. Closes: #176968.
    - The shell now reports on processes that dump core due to signals when
      invoked as `-c command'. Closes: #211693.
    - Fixed ferror beeing called w/o always first calling clearerr
      results in spurious errors reported. Closes: #195116.
    - Add missing trailing slash on directory completion. Closes: #178828.
    - Fix different behaviour for builtin and external commands together
      with arithmetic expansion. Closes: #173744.
    - Fixed a bug that caused redirections accompanying a null command
      to persist in the current shell. Closes: #173148.
    - Fixed a bug that caused a leading `-' in the shell's name to cause it to
      not be recognized as a restricted shell. Closes: #170298.
    - Fix segfault in ill formed paramter expansion. Closes: #162773.
    - Fixed a bug in brace expansion that caused a quoted `$' preceding an
      open brace to inhibit brace expansion. Closes: #157954.
    - Removed the attempts to avoid adding a slash at the end of a completed
      executable name if there was a directory with the same name in the
      current directory. Closes: #155134, #189006.
    - Fix error message for circular alias expansions. Closes: #173588.
    - Fixed a bug that caused some key bindings set in an inputrc to be ignored
      at shell startup. Closes: #110969.
    - Fix segfault on bad array subscripts. Closes: #232653.
    - Fix "set completion-ignore-case on" breaking some tab completion.
      Closes: #224303.
    - Flag an error when a user uses "% DIGITS" instead of "%DIGITS", and
      don't give him a different job instead. Closes: #173854.
    - For 'cd filename' say 'not a directory', not 'no such file or directory'
      when filename exists and is not a directory. Closes: #219958.
    - Expansion results are the same for ${1:+"$@"} and "$@" if IFS is not
      the default.
    - The locale code does a better job of recomputing the various locale
      variable values when LC_ALL is unset. Closes: #160932.
    - Fix substitution error triggering an assertion. Closes: #251801.
  * Documentation updated in this release (and the alpha/beta releases):
    - Fix documentation about exit status of unset builtin. Closes: #183352.
    - Clarify documentation for arguments of wait builtin. Closes: #174133.
    - Document ${!prefix@} expansion. Closes: #168318.
    - Fix documentation of GLOBIGNORE behaviour. Closes: #168267.
    - Document the use of $EMACS. Closes: #174744.
    - Improve documentation of the value of arithmetic expressions.
      Closes: #168321.
    - Make docs more explicit about variable indirection in shell parameter
      expansion. Closes: #167002.
    - Documentation for values of various assignments updated. Closes: #168331.
    - In section "Shell Functions", add documentation for syntax,
      which bash accepts. Closes: #172971.
    - Fix documentation of the PATH variable. Closes: #155369.
    - Document SHELL variable in section "Shell Variables". Closes: #249657.
    - Remove reference to missing section in rbash(1). Closes: #249219.
  * Fix another segfault in completion code. Closes: #261142.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Jul 2004 21:23:42 +0200

bash (2.05b-2-22) unstable; urgency=low

  * Brown paperbag ... Fix typo in bash-minimal's postinst.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Jul 2004 23:04:56 +0200

bash (2.05b-2-21) unstable; urgency=low

  * Remove the pre-dependency on passwd.
  * Explicitely check for the existance of /usr/sbin/add-shell.
  * Reassign #257744 to debootstrap to correctly handle the installation.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jul 2004 22:57:19 +0200

bash (2.05b-2-20) unstable; urgency=medium

  * Make passwd a pre-dependency (closes: #257744).

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jul 2004 06:56:38 +0200

bash (2.05b-2-19) unstable; urgency=low

  * Build using gcc, not gcc-3.4 (closes: #259208).

 -- Matthias Klose <doko@debian.org>  Tue, 13 Jul 2004 21:25:28 +0200

bash (2.05b-2-18) unstable; urgency=low

  * Tighten dependency on passwd (closes: #257717).
  * Update to bash_completion 20040711 (v1.737).
    - Fix mutt folder completion (closes: #248635).
  * Fix tab completion on relative path directories (closes: #189006).
  * Modify lib/malloc/malloc.c to make it compile with gcc-3.4 (Andreas
    Jochens). Closes: #258456.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Jul 2004 06:15:46 +0200

bash (2.05b-2-17) unstable; urgency=low

  * Add dependencies on passwd (closes: #257630).

 -- Matthias Klose <doko@debian.org>  Sun,  4 Jul 2004 22:56:17 +0200

bash (2.05b-2-16) unstable; urgency=low

  * Handle shells using add-shell/remove-shell (closes: #254476).
  * Update to bash_completion 20040704 (v1.731).
    - Add autocompletion for dpkg -P, --purge (closes: #241042, #249934).
    - Fix mutt folder completion (closes: #248635).
    - Add autossh to ssh completions (closes: #252090).
    - Emacs completion does not discard .tar* archives (closes: #252347).
    - Add MS filename extensions to OpenOffice (closes: #252635).
    - Add completion for tar.Z files (closes: #254896).
    - Fix problems with sed-4.1 (closes: #256000).
    - Fix dpkg completion with multiple arguments (closes: #257544).
  * Fix formatting in bash(1). Closes: #248344.

 -- Matthias Klose <doko@debian.org>  Sun,  4 Jul 2004 16:07:24 +0200

bash (2.05b-2-15) unstable; urgency=low

  * Fix a bug that caused a leading `-' in the shell's name to cause it to
    not be recognized as a restricted shell (closes: #170298).
  * Fix option in menu file (closes: #162152).
  * Backout patches/random patch (closes: #242111).
  * Update to bash_completion 20040331 (v1.700).
  * Update skeleton files and /etc/bash.bashrc to include the contents
    of /etc/debian_chroot in the prompt, if the file exists.
  * Add openoffice completions (closes: #244611).
  * Remove ee (eeyes) completion (closes: #240668). eeyes isn't distributed
    anymore.
  * bash(1): Document ~/.bash_login and ~/.profile in FILES section.
    Closes: #204766.
  * Apply patch from http://www.savarese.org/posix/ to improve the mail
    checking code so it won't check (and possibly cause an NFS file system
    mount) until MAILPATH or MAIL is given a value. Closes: #211426.
  * Add missing dependency in debian/rules (closes: #247413).

 -- Matthias Klose <doko@debian.org>  Sat,  8 May 2004 18:36:41 +0200

bash (2.05b-2-14) unstable; urgency=low

  * Add bash reference manual in PDF format (closes: #202849).
  * Remove FAQ; the license doesn't allow modification (closes: #231157).
  * debian/copyright: Name the copyright holders (closes: #233716).
  * Update to bash_completion 20040214 (v1.690).
    - Make xspec parsing immune to comments (closes: #226812).
    - Another fix to sudo completion: "sudo completion is virtually
      impossible to get right. It's just a question of choosing what
      aspect of it is the least annoying to leave broken. :-("
      Closes: #223094.
    - xine can also complete on .asx files (closes: #231356).
    - Speedup dpkg completion (closes: #232585).
    - Fix chsh completion (closes: #232214).
  * Disable the GNU/kFreeBSD kludge (--without-bash-malloc). Closes: #234137.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Feb 2004 13:31:03 +0100

bash (2.05b-2-13) unstable; urgency=medium

  * Apply patch to speedup display of characters under multibyte locales.
    Thanks to Denis Barbier. Closes: #197965.
  * Update to bash_completion 20040101 (v1.672).
    - Closes: #215030, #224981.
    - Include completion for sitecopy in contrib directory (closes: #223294).
  * Fix typo in man page (closes: #224477).
  * Don't build bashdb anymore. Not ready for use. Closes: #224573, #224566.
  * Document /etc/bash.bashrc in bash man page (closes: #216403).

 -- Matthias Klose <doko@debian.org>  Sat, 24 Jan 2004 21:20:25 +0100

bash (2.05b-2-12) unstable; urgency=low

  * Update to bash_completion 20031022 (v1.644).
  * Fix "suspend" segfaults in non-interactive shells (closes: #217188).
  * Rename bashdb's gud.el to gud-bashdb.el (closes: #220002).

 -- Matthias Klose <doko@debian.org>  Mon, 10 Nov 2003 23:53:35 +0100

bash (2.05b-2-11) unstable; urgency=medium

  * Tighten automake build dependency (closes: #215350).
  * Add dependency line for bashdb (closes: #215634).
  * /etc/skel/.bashrc: set xterm's title as we do for PS1 (closes: #176734).
  * Remove build dependency on readline (closes: #215165).
  * Update to bash_completion 20031007 (v1.630).

 -- Matthias Klose <doko@debian.org>  Tue, 14 Oct 2003 20:37:23 +0200

bash (2.05b-2-10) unstable; urgency=low

  * Update to bash_completion 20030911 (v1.624).

 -- Matthias Klose <doko@debian.org>  Mon, 22 Sep 2003 11:43:39 +0200

bash (2.05b-2-9.1) unstable; urgency=low

  * Added build dependency on texi2html (closes: #211151).
  * Create site-lisp directory in bashdb target.

 -- Herbert Xu <herbert@debian.org>  Thu, 18 Sep 2003 18:39:51 +1000

bash (2.05b-2-9) unstable; urgency=low

  * Recompilation fixes segfaults in bash-static (closes: #205185).
  * Build debugger enabled bash binary (bash-bashdb). Closes: #195877.
  * Update to bash_completion 20030821 (v1.617). Closes: #203859, #205741.
  * Adjust config.guess triplet for GNU/FreeBSD (closes: #194182).
  * Fix package description (closes: #202344).

 -- Matthias Klose <doko@debian.org>  Mon,  8 Sep 2003 23:34:50 +0200

bash (2.05b-2-8.1) unstable; urgency=low

  * Fixed versioned dependency of bash-builtins (closes: #196421).
  * Call dh_fixperms in bash-minimal.

 -- Herbert Xu <herbert@debian.org>  Sat,  7 Jun 2003 12:44:18 +1000

bash (2.05b-2-8) unstable; urgency=low

  * Apply upstream patches 005, 006, 007.
    006 addresses the LSB 1.3 test suite failures (closes: #184888).
    007 addresses ~ command working with UTF-8 locales (closes: #179946).
  * Build a minimal shell in package bash-minimal (closes: #176164).
    Sort of fix for reports complaining that /bin/sh does have
    additional features compiled in (closes: #183185).
  * Build a static shell in package bash-static (closes: #138089).
  * Update to bash_completion 20030527 (v1.571) (closes: #167852, #171523,
    #184738, #185711, #189535, #192282).
  * /etc/skel.profile: Export MANPATH (commented out). Closes: #180717.
  * Add menu entry for bash (closes: #187596).
  *
  * Install info docs as bashref.info, symlink to bash.info (closes: #174674).
  * Fix segfault with builtin shift, no arguments and "shopt -s shift_verbose".
    Closes: #159996.
  * Update config.{sub,guess} (closes: #179737).
  * Fix apt-cache search completion (closes: #184144).
  * Configure --without-bash-malloc on GNU/FreeBSD (closes: #194182).

 -- Matthias Klose <doko@debian.org>  Thu, 29 May 2003 17:00:53 +0200

bash (2.05b-7) unstable; urgency=medium

  * Fix rbash man page (closes: #181248).
  * On m68k-linux, bash is miscompiled using gcc-3.2 and gcc-snapshot.
    Revert back to gcc-2.95.

 -- Matthias Klose <doko@debian.org>  Fri, 28 Feb 2003 00:54:22 +0100

bash (2.05b-6) unstable; urgency=low

  * First upload compiled using gcc-3.2 as the default compiler.
  * Update to bash_completion 20030126 (v1.520) (closes: #168478, #145481,
    #150628, #158039, #168700, #169232, #169586, #171161, #171420, #171523,
    #173096, #177654).

 -- Matthias Klose <doko@debian.org>  Mon, 27 Jan 2003 21:08:19 +0100

bash (2.05b-5) unstable; urgency=high

  * Build-depend on bison-1.35 (closes: #167635).

 -- Matthias Klose <doko@debian.org>  Mon,  4 Nov 2002 09:30:39 +0100

bash (2.05b-4) unstable; urgency=low

  * Ignore *~ and *.bak files in /etc/bash_completion.d/ (closes: #161027).
  * debian/patches/rl-mbutil.dpatch: Fix segfault in mbutil.c.
  * Update to bash_completion 20021026 (v1.462) (closes: #161671, #162161,
    #163096, #163097, #164890, #165937).
  * Apply fix for debian/bash.preinst.c (closes: #162424).
  * Avoid warning in s390 build (closes: #160731).
  * /etc/skel.bashrc: Add commented example to set the `checkwinsize'
    option (maybe closes: #161984).
  * Install builtins manpage as bash-builtins(7), add an alternative
    builtins(7) with priority 10 (closes: #166082).
  * Fix typo in documentation of deprecated arithmethic expansion.
    Closes: #161386.
  * rl-8bit-init.dpatch: Apply (closes: #164809).
  * README.Debian: Removed invalid entry about ssh (closes: #159754).

 -- Matthias Klose <doko@debian.org>  Tue, 24 Sep 2002 12:40:35 +0200

bash (2.05b-3) unstable; urgency=low

  * Apply upstream patch 003 (Fix completing executable names).
    Closes: #155134, #159466.
  * Apply upstream patch 004.
  * Fix completion by TAB in quoted sequence(`...`) with Multibyte Locale.
    Patch from Satoshi Koike (closes: #155436).
  * Update to bash_completion 20020909 (v1.410) (closes: #154595, #155211,
    #155706).
  * Don't set umask in /etc/skel/.bash_profile (closes: #155973).
  * Drop suggestion of grep-dctrl (closes: #156351).

 -- Matthias Klose <doko@debian.org>  Fri,  9 Aug 2002 05:30:24 +0200

bash (2.05b-2) unstable; urgency=medium

  * Apply upstream patches:
    - Fix a command completion problem (closes: #154273).
    - Fix a segfault (closes: #154123).
    - Fix for repeating an edit in vi mode.
  * Fix typo in /etc/skel/.bashrc (closes: #153856).
  * Update to bash_completion 20020727 (v1.390) (closes: #148873, #153045).
  * Install info docs in "Shells" section (closes: #154618).

 -- Matthias Klose <doko@debian.org>  Fri,  2 Aug 2002 19:24:28 +0200

bash (2.05b-1) unstable; urgency=low

  * New upstream version:
    - Fixed a problem with process substitution that resulted in incorrect
      behavior when the number of process substitutions in an individual
      command approached 64 (closes: #149229).
    - Added putenv, setenv, unsetenv to getenv replacement (closes: #149262).
    - Fixed bug, where bash incorrectly reports failure to execute a script.
      Closes: #126620, #140819.
    - Fixes an `out of memmory in pipe' error (closes: #134004).
    - Fixed a bug that could cause the -O expand_aliases invocation option
      to not take effect (closes: #122362).
    - New code to handle multibyte characters (obsoletes and closes: #25131,
      #118724).
    - Fixed the /= and %= arithmetic operators to catch division by zero.
      Closes: #148950.
    - Fixed abort in completion of absolute filenames (closes: #136625).
    - Fixed "declare -f"'s handling of here-documents (closes: #127452).
    - Documentation for `==' adds hint for POSIX compliance (closes: #137741).
    - Not reproducible anymore with new upstream version. Upstream regards
      these as fixed (closes: #142906, #143811, #144375).
    - Fix bug in `compgen -W' (closes: #143518).
    - Fix memory corruption error printing error message (closes: #145229).
    - Unreproducible with the new upstream version (closes: #135062).
    - Fixed a bug that caused a syntax error when a command was terminated by
      EOF (closes: #147258).
    - Fixed a problem which caused the display to be messed up when the last
      line of a multi-line prompt (possibly containing invisible characters)
      was longer than the screen width (closes: #137268).
    - The `home' and `end' keys are now bound to beginning-of-line and
      end-of-line, respectively, if the corresponding termcap capabilities
      are present (closes: #89026, #89034, #98029, #107453, #107897, #116943,
      #119491, #128687, #130029).
    - Fixed a bug that could cause the -O expand_aliases invocation option
      to not take effect (closes: 148505).
    - Bash now correctly honors setting LANG to some value when LC_ALL does not
      already have a value (closes: #145597).
    - The `unset' builtin no longer returns a failure status when asked to
      unset a previously-unset variable or function (closes: #98743).
    - Changes to make reading and writing the history file a little faster, and
      to cope with huge history files without calling abort(3) from xmalloc.
      Closes: #61006.
  * Fixed in earlier versions of bash:
    - Fixed a bug that caused SIGINT to kill shell scripts after the script
      called `wait' (closes: #14658).
    - Handling of ANSI sequences in PS1 (closes: #60914).
    - ctrl+z when running while-loop puts bash in broken state (closes: #98521).
  * Fix build error (closes: #151681).
  * bash suggests bash-doc (closes: #152353).
  * /etc/skel/.bashrc: Only enable color support for ls, when $TERM != dumb.
    Closes: #143361.
  * Report is missing any information. Bug submitter didn't respond.
    Closes: #130051.
  * Close a report for a sefault in bash-2.03, which cannot be reproduced
    anymore in newer versions (2.05) (closes: #58404).
  * Add the README.commands document to the doc directory. Reassign #106170
    to doc-linux-text.
  * Update to bash_completion 20020716 (v1.383) (closes: #145938).

 -- Matthias Klose <doko@debian.org>  Fri, 19 Jul 2002 22:33:25 +0200

bash (2.05a-12) unstable; urgency=low

  * Update to bash_completion 20020528 (v1.335) (closes: #141970, #142015,
    #142859, #144335, #146152, #146309, #146693).
    Put the the contributed completion files into /usr/share/doc.
  * Suggest grep-dctrl, which is called by the completion code. Added
    note to README.bash_completion, that the completion code depends on it.
    Closes: #146152.
  * Mention bash_completion in the package description (closes: #146878).
  * Fix brace expansion (Fix by Richard Kettlewell <rjk@greenend.org.uk>).
    Forwarded. Closes: #144983.

 -- Matthias Klose <doko@debian.org>  Thu, 30 May 2002 23:50:40 +0200

bash (2.05a-11) unstable; urgency=medium

  * Don't mishandle negative pid in `kill' builtin (closes: #133927, #137742).
  * builtins(1) doesn't document `for' (closes: #118755).
  * Add /usr/share/bash_completion directory to source package specific
    completion files.
  * Update to bash_completion 20020408 (v1.264).
    Closes: #133109, #139375, #139675, #134713, #141134.
  * Add completion to /etc/skel/.bashrc (commented out). Closes: #138921.

 -- Matthias Klose <doko@debian.org>  Mon,  8 Apr 2002 20:51:41 +0200

bash (2.05a-10) unstable; urgency=medium

  * Init seed of random generator in subshells (patch from Miha Tomsic).
  * Update to bash_completion 20020330 (v1.237).
    Closes: #138673, #138707, #139110 and #139675.
  * Strip bash(1) again (closes: #138902).

 -- Matthias Klose <doko@debian.org>  Sun, 31 Mar 2002 08:08:26 +0200

bash (2.05a-9) unstable; urgency=low

  * Fix bug reading /etc/bash_completion.d files.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Mar 2002 00:54:28 +0100

bash (2.05a-8) unstable; urgency=low

  * A last bash_completion bug fix upload (updated to v1.195,
    see changelog.bash_completion.gz for details).
    All files in /etc/bash_completion.d are read before ~/.bash_completion
    is read. Files containing a dot are ignored.
    Included completion extensions (closes: #129661, #137725, #137732).

 -- Matthias Klose <doko@debian.org>  Tue, 12 Mar 2002 23:25:21 +0100

bash (2.05a-7) unstable; urgency=low

  * A bash_completion bug fix upload (updated to v1.180,
    see changelog.bash_completion.gz for details). Really closes: #133825.

 -- Matthias Klose <doko@debian.org>  Thu,  7 Mar 2002 00:06:14 +0100

bash (2.05a-6) unstable; urgency=medium

  * Configure --without-bash-malloc. At least on hppa, this fixes an error,
    which shows up when building gcc or kernels:
    malloc: /build/buildd/bash-2.05a/unwind_prot.c:284: assertion botched
    free: called with unallocated block argument
  * A bash_completion bug fix upload (updated to v1.163,
    see changelog.bash_completion.gz for details).
    Closes: #133111, #133112, #133116, #133825, #134296.
  * Updated service completion patch (Ian Macdonald).

 -- Matthias Klose <doko@debian.org>  Sat,  2 Mar 2002 00:27:22 +0100

bash (2.05a-5) unstable; urgency=medium

  * A bash_completion bug fix upload (updated to v1.93,
    see changelog.bash_completion.gz for details).
    Closes: #129106, #130167, #129033, #129228, #129451, #129884, #132309,
    #132529, #132552, #132553.
    Ian even added completion for Quake! Horrible ...
  * Include service completion patch.
  * README.bash_completion: Fix reference to /etc/bash.bashrc (closes: #129816).

 -- Matthias Klose <doko@debian.org>  Wed,  6 Feb 2002 22:22:09 +0100

bash (2.05a-4) unstable; urgency=high

  * Fix for causing a segmentation fault when some special shell variables
    are declared as array (therefore urgency high).
  * Apply patch for function prototypes (closes: #124004, #124362).
  * Capitalize `POSIX' in package description (closes: #124439).
  * Add (commented) setting of MANPATH to /etc/skel/.bash_profile
    (closes: #123792).
  * Update builtins(1) (closes: #125673).
  * Taken from the current upstream sources: Make the symlinked directory
    completion behavior introduced in readline-4.2a a user-settable option.
    If `mark-symlinked-directories' is set to `on', the symlinked directory
    completion behavior is disabled, and symlinks that point to directories
    have a slash appended.
  * Add a script for programmable bash completion (version 1.53) from
    http://www.caliban.org/bash/index.shtml#completion. Add commented
    code into /etc/bash.bashrc and (closes: #127645).
  * Install the changelog _and_ the CHANGES file to the doc dir.
  * bash(1): mention quoting when assigning to FIGNORE (closes: #115290).

 -- Matthias Klose <doko@debian.org>  Sat, 12 Jan 2002 16:00:08 +0100

bash (2.05a-3) unstable; urgency=low

  * Include version.h in /usr/include/bash (closes: #120069).
  * Link statically with readline and history to speed up link time
    (and was done in bash-2.03). Closes: #107160.
  * Add comment to set HISTCONTROL in /etc/skel/.bashrc (closes: #118132).

 -- Matthias Klose <doko@debian.org>  Sat,  8 Dec 2001 12:29:28 +0100

bash (2.05a-2) unstable; urgency=high

  * Update config.{sub,guess} from ftp://ftp.gnu.org/pub/gnu/config/.

 -- Matthias Klose <doko@debian.org>  Fri, 16 Nov 2001 19:07:06 +0100

bash (2.05a-1) unstable; urgency=medium

  * New upstream release.
  * This is mainly a bugfix and code cleanup release (as you can see
    from the version number as well). Fixes 64bit issues and index
    overflow errors. Fixes the following Debian reports:
    - Segmentation fault in script from report (closes: #119250).
    - Extensions to the printf command (closes: #72320).
    - Accept an empty list of items in a for loop (as ash does).
      Closes: #91983.
    - A bug that caused redirections with (...) subshells to be performed in
      the wrong order was fixed (closes: #97551).
    - Correctly handle errors from pipelines in andor lists (closes: #102196).
    - Subshells of login shells no longer source ~/.bash_logout when they exit
      (closes: #117701).
    - Don't pass unset shell variable in the environment (closes: #117673).
  * Upstream integrates the following Debian patches:
    - debian/patches/mailcheck.dpatch: check for mail in the maildir format.
    - debian/patches/gnu-source.dpatch: define GNU_SOURCE and include
      strsignal prototype.
    - Don't include -I/usr/include in CFLAGS.
    - debian/patches/print-cmd.dpatch: Fixed an unassigned variable problem
      in the redirection printing code.
    - debian/patches/64bit.dpatch: 64-bit uncleanliness.
  * Unable to reproduce behaviour with beta1, rc1 and final version from
    report (closes: #110483, #110484).
  * Point to the bash-doc package for example startup files (closes: #117642).
  * The man page is precises: comments start with a word beginning with a `#'.
    With '\ #', the doesn't start a word. Closes: #115118.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Nov 2001 22:13:21 +0100

bash (2.05a-0rc1) unstable; urgency=low

  * New upstream (bugfix) release (release candidate).
  * Add README.abs-guide, a pointer to the `Advanced Bash Scripting Guide'.

 -- Matthias Klose <doko@debian.org>  Fri,  2 Nov 2001 10:59:11 +0100

bash (2.05a-0beta1) unstable; urgency=low

  * New upstream (bugfix) release.
  * Configured with --enable-largefile.
  * Bugs fixed in this version. Closes: #72320, #91983, #97551, #102196,
    #105231, #110483, #110484.
  * Remove debian/patches/mailcheck.dpatch, included upstream.
  * Closes: #61006. Logging history commands in the history cannot work.
  * Not a bug (closes: #100743, #110604).

 -- Matthias Klose <doko@debian.org>  Thu, 11 Oct 2001 23:05:20 +0200

bash (2.05-10) unstable; urgency=medium

  * Rebuild with released libreadline library (closes: #113182).

 -- Matthias Klose <doko@debian.org>  Sun, 23 Sep 2001 01:16:48 +0200

bash (2.05-9) unstable; urgency=medium

  * Remove files left from test build (closes: #110307, #109807).
  * Apply patches from reports (closes: #110275, #110276).
  * Fix include of rbash man page (closes: #113111).

 -- Matthias Klose <doko@debian.org>  Sat, 22 Sep 2001 11:26:44 +0200

bash (2.05-8) unstable; urgency=low

  * Apply patch (Eric Gillespie) to define GNU_SOURCE and include
    strsignal prototype (closes: #109807).
  * Fix include of builtins man page (closes: #109917).

 -- Matthias Klose <doko@debian.org>  Sun, 26 Aug 2001 08:35:47 +0200

bash (2.05-7) unstable; urgency=high

  * Remove config.{cache,status} from source package (#107679).
    (high urgency for hurd).
  * /etc/skel/.bashrc: Fix dircolors invocation (closes: #107373).
    Add commented code to set xterm's title to the prompt.

 -- Matthias Klose <doko@debian.org>  Mon,  6 Aug 2001 23:33:41 +0200

bash (2.05-6) unstable; urgency=low

  * Apply upstream patches p5, p6.
  * Include missing header files in builtins package (closes: #105302).
  * Don't list names of built-in commands in NAME section of builtins(1).
    (closes: #99532).
  * Document deprecated syntax of arithmetic evaluation (closes: #94266,
    #95502).
  * README.Debian: Document unsetting of SSH_CLIENT (closes: #88032).

 -- Matthias Klose <doko@debian.org>  Sat, 21 Jul 2001 18:41:10 +0200

bash (2.05-5) unstable; urgency=low

  * The behavior of range specificiers within bracket matching expressions
    in the pattern matcher (e.g., [A-Z]) depends on the current locale,
    specifically the value of the LC_COLLATE environment variable.
    See /usr/share/doc/COMPAT.gz, 14. Closes #95285.
  * Tagging reports as 'wontfix' and closing reports:
    - exit status of pipes (#7047, #10494).
    - completion behaviour on ':' (#78991).
    - */text* completion (#21645).
  * Documentation of command hashing is documented (#76135).

 -- Matthias Klose <doko@debian.org>  Thu, 26 Apr 2001 09:03:37 +0200

bash (2.05-4) unstable; urgency=low

  * Apply upstream patches p1-p4 (closes #92455).
  * Fixed in bash-2.05-alpha1: closes #47588.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Apr 2001 19:32:36 +0200

bash (2.05-3) unstable; urgency=low

  * Add 'Replaces: bash-doc (<= 2.05-1)' (closes: #93799).

 -- Matthias Klose <doko@debian.org>  Fri, 13 Apr 2001 01:15:19 +0200

bash (2.05-2) unstable; urgency=medium

  * Tighten build dependency (fixes #93509). Only an issue for upgrades
    from bash-2.05-0, therefore urgency=medium.
  * Remove changelog from bash package (also in bash-doc). Reported as
    #93446, #93454, #93455.
  * Fixed in bash-2.04, wrong example in report (#33822).
  * Documented behaviour (ulimit, #72898).
  * Use of redirection for #92324.
  * sed, awk, ... builtins should be provided by the specific package.
    there are other ways to make system scripts faster (ash, perl,
    python, ...) (#61648).
  * Unable to reproduce #34977 submitted for version 2.02.1, bug submitter
    didn't respond to inquiries. Closing ...
  * http://metalab.unc.edu/pub/Linux/docs/HOWTO/other-formats/html_single/Text-Terminal-HOWTO.html
    as explanation for C-s behaviour (#68387, not sure why I missed this
    for so long).
  * Part one of the report is Posix.2 behaviour; part 2 (cd-ing relatively
    from a subdirectory into a specified root-level directory) already
    fixed in bash-2.04. #65316.
  * Closing #13645. "The `-l' option should never have been documented, and it
    was a mistake to include it in the first place -- it screws up the grammar.
    Old Bourne shells and test commands had it because there was no other
    way to find the length of a variable's value.  Since bash has
    ${#variable}, there's no need for it.  POSIX.2 says, in the rationale,
    that implementation is irregular and that the shell supports it directly
  * Unable to reproduce #19211 submitted for version 2.01 in current
    versions (2.04, 2.05).
  * Close #2301, safe creation of temp files is documented in bash(1):
    "If the redirection operator is >, and the noclobber option to the set
    builtin has been enabled, the redirection will fail if the file whose
    name results from the expansion of word exists and is a regular file.
    If the redirection operator is >|, or the redirection operator is > and
    the noclobber option to the set builtin command is not enabled, the
    redirection is attempted even if the file named by word exists."
  * Fixed upstream in 2.05: #84743.
  * #76596: Bourne-style shells have always accepted multiple directory name
    arguments to cd.  If the user doesn't like it, have him define a shell
    function (see README.Debian).
  * bash already has enabled the system wide /etc/bash.bashrc (#82117).
  * #88223: Starting bash with --posix, or -o posix, or as `sh', does make
    the entire bash session posix-compliant (with the caveats noted in the
    info manual).  Posix-compliant does not mean `behaves exactly like
    historical versions of sh', nor does it mean `does only what is in
    the standard and nothing more'.

    Posix says nothing about brace expansion, so whether or not bash does
    brace expansion in posix mode has no bearing on posix compliance.

    If you don't want brace expansion, use `set +o braceexpand' or
    `set +B' or start bash with the `+B' option.

  * Lower temporarily severity of #92455, so that this version can move
    to testing. This bug exists in 2.04 as well, so we don't make things
    worse.
  * Apply upstream patch 1.

 -- Matthias Klose <doko@debian.org>  Mon,  9 Apr 2001 23:29:24 +0200

bash (2.05-1) unstable; urgency=low

  * New upstream release.
  * /etc/skel/.bashrc: fix alias (#92440).

 -- Matthias Klose <doko@debian.org>  Mon,  9 Apr 2001 18:24:10 +0200

bash (2.05-0beta2) unstable; urgency=low

  * New upstream release 2.05-beta2.
  * Fixed upstream: #85234.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Mar 2001 23:57:12 +0200

bash (2.05-0beta1) unstable; urgency=low

  * New upstream release 2.05-beta1.
  * Fixed upstream: #66891, #67519, #68931, #72898, #75104, #75315, #75957,
    #76603, #84906.
    Reverted behaviour: #60375, #75540.
  * /etc/skel/.bash_logout: Removed. Submitted bug report to util-linux.
    Fixes #63025, #72327, #83609.
  * Depend on makeinfo (fixes #87688).

 -- Matthias Klose <doko@debian.org>  Tue,  6 Feb 2001 18:46:40 +0100

bash (2.05-0alpha) unstable; urgency=low

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Nov 2000 17:32:16 +0100

bash (2.04-9) unstable; urgency=low

  * Fix build bug.

 -- Matthias Klose <doko@debian.org>  Mon, 20 Nov 2000 23:35:03 +0100

bash (2.04-8) unstable; urgency=low

  * debian/control: Add bison to Build-Depends (fixes #73667).
  * debian/rules: Add config.h to bash-builtins package (fixes #69802).
    Strip bash binary (fixes #71252).

 -- Matthias Klose <doko@debian.org>  Sat, 18 Nov 2000 14:01:54 +0100

bash (2.04-7) unstable; urgency=low

  * debian/skel.bash_logout: Fix to clear all ttys (fixes #67772).
  * debian/skel.bash_profile: Fix to include expanded ~/bin in path
    (fixes #67714).
  * Fix builtins.1 include (fixes #67094, #70007, #71848).
  * debian/README.Debian: Document that bash is compiled with
    -DSYS_BASHRC (fixes #66939).
  * Fix hsuser doc (fixes #69392).

 -- Matthias Klose <doko@debian.org>  Mon,  2 Oct 2000 01:26:45 +0200

bash (2.04-6) unstable; urgency=low

  * debian/skel.bash_profile: Clarify where to look for for example files
    (package bash-doc). Fixes #64311.
  * debian/README.Debian: Explain, why bash is configured without
    '--enable-net-redirections' (fixes #66352).

 -- Matthias Klose <doko@debian.org>  Wed, 28 Jun 2000 19:47:25 +0200

bash (2.04-5) unstable; urgency=low

  * debian/patches/alpha-unwind.dpatch: Patch from "Mikolaj J. Habryn"
    <fe78734e@eris.rcpt.to>. Should fix #62170, #62690, #65053.
  * debian/rules: Configure with --disable-net-redirections (as suggested
    in #65172). The patch submitted in the report can be found in
    debian/patches/tcp-udp-service-names.dpatch.
  * debian/patches/getcwd-error: Fix error message for two levels of
    unreadable directories (#64659).

 -- Matthias Klose <doko@debian.org>  Mon,  5 Jun 2000 05:59:59 +0200

bash (2.04-4) unstable; urgency=low

  * debian/patches/p[5-7].dpatch: Upstream patches.

 -- Matthias Klose <doko@debian.org>  Wed,  3 May 2000 01:05:23 +0200

bash (2.04-3) unstable; urgency=low

  * debian/patches/p[1-4].dpatch: Upstream patches.
  * debian/bash.preinst.c: s/MAX_PATH/PATH_MAX/g (fixes #62323).

 -- Matthias Klose <doko@debian.org>  Wed, 26 Apr 2000 19:53:16 +0200

bash (2.04-2) unstable; urgency=low

  * debian/patches/pattern-operator.dpatch: Fix pattern operator bug.
  * debian/README.Debian: Add FAQ how to get rid off beeps for ambiguous
    completions (fixes #59550).

 -- Matthias Klose <doko@debian.org>  Sat,  8 Apr 2000 22:06:34 +0200

bash (2.04-1) unstable; urgency=low

  * Final release.
  * Don't strip bash (debugging #58404 ...).

 -- Matthias Klose <doko@debian.org>  Mon, 20 Mar 2000 19:37:44 +0100

bash (2.04-0beta5db1) unstable; urgency=low

  * New upstream version, beta 5, Debian build 1.
  * Remove six dpatch files with patches now integrated upstream.
  * Bugs fixed with this upstream version: #5703, #15165, #21363, #21901,
    #33900, #36652, #38804, #41916, #47179, #47990, #50353, #56209, #57544.
  * Compiled with NON_INTERACTIVE_LOGIN_SHELLS to run the startup files when
    not in posix mode. Fixes #11938, #14287, #25245.
  * Still in this version: #27090.
  * The `-l' option to test is not included by intent (fixes #13645).
    Comment from upstream: "The `-l' option should never have been documented,
    and it was a mistake to include it in the first place -- it screws up the
    grammar. Old Bourne shells and test commands had it because there was no
    other way to find the length of a variable's value.  Since bash has
    ${#variable}, there's no need for it.  POSIX.2 says, in the rationale,
    that implementation is irregular and that the shell supports it directly.
  * Report #26720: perl -e 'print ":;" x 100000' > foo; . ./foo   dumps core.
    Comment from upstream: This is not a bash bug; it is a process resource
    problem.  The default resource limit for stack size is 8M on my version of
    Linux. The call tree created by the parser for the script (100000 calls
    to `:') is 99999 nodes deep, and requires that many recursive calls to the
    command execution routines.  This overflows the stack, and bash segfaults.
    I couldn't reproduce it anywhere but Linux, because the machines I tested
    on all have reasonable default stack sizes.  Raising the limit to 16M is
    sufficient to cause the script to run successfully (I didn't try anything
    between 8M and 16M).
  * Report #30460: redirection is different from standard: bash --posix
    $ mkdir foo; cd foo; echo anything goes > "this file"
    $ for f in *; do tr ay \ o < $f | cat; done
    sh: $f: ambiguous redirect
    This is POSIX.2 behaviour.
  * debian/bash.preinst.c: Check if /bin/sh points to something other than
    bash and is not diverted and point to README.Debian how to divert
    a file (fixes #34717, #45656).
  * debian/patches/random.dpatch: Fix bug in patch (closes #38804).
  * debian/README.Debian: Commented behaviour from report #50853.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Feb 2000 19:34:10 +0100

bash (2.03-6) frozen unstable; urgency=medium

  * debian/bash.preinst.c: Evil kludge, deal with arbitrary name lengths
    (fixes #54876).
  * Apply NMU (fixes #55887).
  * debian/rules: Install debian/bash.conffiles (fixes #57963, #58541).

 -- Matthias Klose <doko@debian.org>  Sun, 20 Feb 2000 19:50:48 +0100

bash (2.03-5.1) unstable; urgency=low

  * debian/patches/job-control-segfault.dpatch: Patch from Eric Weigel
    <ericw@bestnet.org>.  Closes: #55887

 -- Adam Heath <doogie@debian.org>  Sat, 22 Jan 2000 15:10:50 -0600

bash (2.03-5) unstable; urgency=low

  * Update rl.ctrl-char patch from Dan Jacobowitz.
    Fixes #54805, #54639, #54612.
  * Add autoconf to Build-Depends (finally, Roman ...)

 -- Matthias Klose <doko@debian.org>  Tue, 11 Jan 2000 20:50:31 +0100

bash (2.03-4) unstable; urgency=low

  * debian/control: Fix build dependencies (fixes #52777).
  * debian/rules: Cleanup.
  * debian/patches/rl-ctrl-char.dpatch: Don't assume char is signed by
    default (fixes #53252).
  * Build with libncurses5-dev (fixes #54165).
  * Fix changelog symlink in bash-doc package (fixes #54240).
  * debian/README.Debian: Add paragraph for writing prompts.
  * debian/README.Debian: Add paragraph about hashing of moved commands
    (and closing #36877).
  * Install more verbose skeleton files (closes #39728).
  * The `-l' option to test is not included by intent (fixes #13645).
    Comment from upstream: "The `-l' option should never have been documented,
    and it was a mistake to include it in the first place -- it screws up the
    grammar. Old Bourne shells and test commands had it because there was no
    other way to find the length of a variable's value.  Since bash has
    ${#variable}, there's no need for it.  POSIX.2 says, in the rationale,
    that implementation is irregular and that the shell supports it directly.
  * Report #26720: perl -e 'print ":;" x 100000' > foo; . ./foo   dumps core.
    Comment from upstream: This is not a bash bug; it is a process resource
    problem.  The default resource limit for stack size is 8M on my version of
    Linux. The call tree created by the parser for the script (100000 calls
    to `:') is 99999 nodes deep, and requires that many recursive calls to the
    command execution routines.  This overflows the stack, and bash segfaults.
    I couldn't reproduce it anywhere but Linux, because the machines I tested
    on all have reasonable default stack sizes.  Raising the limit to 16M is
    sufficient to cause the script to run successfully (I didn't try anything
    between 8M and 16M).
  * Report #30460: redirection is different from standard: bash --posix
    $ mkdir foo; cd foo; echo anything goes > "this file"
    $ for f in *; do tr ay \ o < $f | cat; done
    sh: $f: ambiguous redirect
    This is POSIX.2 behaviour.
  * debian/bash.preinst.c: Check if /bin/sh points to something other than
    bash and is not diverted and point to README.Debian how to divert
    a file (fixes #34717, #45656).

 -- Matthias Klose <doko@debian.org>  Fri,  7 Jan 2000 07:19:00 +0100

bash (2.03-3) unstable; urgency=low

  * Moved /etc/profile to base-files package (closes #52987).
  * debian/skel.bash_profile: Use umask 022 as in debian/etc.profile
    (closes #53020).
  * debian/patches/secure-build.dpatch: Build bash without using guessable
    file names in /tmp (closes #36027).
  * debian/patches/bashbug-editor.dpatch: Use editor command, not emacs
    (closes #32576, #32577).
  * Fixed in 2.03 or before: #16013, #20455, #30803 (according to upstream
    author, bug submitter does not respond).
  * #44015 not a bug. Bash is more liberal than POSIX specifies, but function
    names that are not identifiers is something that may go away in the future.
  * #40242 not a bug: Non-interactive bash shells have always unset PS1,
    so scripts and so on can test for it.
  * Report #21645: */text* completion doesn't work anymore. According to the
    upstream author, this feature was removed in bash-2.01.1.  The TAB
    completion only succeeds with globbing characters if there is a single
    completion.  It caused too many problems otherwise.
  * Define DONT_REPORT_SIGPIPE: We don't want to see `Broken pipe' messages
    when a job like `cat jobs.c | exit 1' is executed. Fixes part of #7047,
    #10259, #10433 and #10494. Comment from the upstream author: "The default
    bash behavior with respect to the exit status of a pipeline will not
    change.  Changing it as suggested in the discussion of #10494 would render
    bash incompatible with every other shell out there.". Closed these reports.
  * debian/etc.bash.bashrc: Set checkwinsize.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Dec 1999 15:58:43 +0100

bash (2.03-2) unstable; urgency=low

  * Apply privmode patch (do not drop privileges, if called as /sh.
    Closes #52586).

 -- Matthias Klose <doko@debian.org>  Mon, 13 Dec 1999 22:25:22 +0100

bash (2.03-1) unstable; urgency=low

  * New maintainer.
  * New upstream version (closes: #34077, #35642, #46916). For a terse
    description of new features and bug fixes see /usr/share/doc/bash/NEWS.gz.
  * Fixed in upstream release (closes: #14229, #16856, #21363, #22498, #28849,
    #29863, #37971, #38411, #40930, #49702). #37971 either here or in libc6.
    #30803.
  * Separate out documentation and examples to bash-doc package.
  * Do not build shared readline libs from this source. According to the
    upstream author: "It's not appropriate to build shared libraries from
    the readline shipped with bash.  That is designed to be linked directly
    into bash."
  * Link statically with included libreadline. It's intended, because
    potato does not have a libreadline4 yet. Wait for bash-2.04 and
    it's version of libreadline.
  * debian/README.Debian: Sort of FAQ suggested by Guy Maor.
  * debian/copyright: Updated URL.
  * debian/rules: Introduced some variables for packages and directories.
  * debian/control: Updated package names. Add Build-Depends.
  * Point to /usr/doc/share in man pages (rbash.1, builtins.1).
  * Make /usr/doc compatibility links (all but libreadline.postinst, which
    is a C file).
  * debian/patches/conf-update.dpatch: New config files from automake
    (closes #33745).
  * debian/patches/bashbug-editor.dpatch: Use EDITOR variable
    (closes #32576, #32577).
  * debian/etc.profile: Fixed comment that /etc/profile is used for Bourne
    shell and Bourne compatible shells (closes: #3459).
  * debian/patches/tempnam.dpatch: Applied patch from report #35975
    (closes: #35975).
  * bash is not responsible for setting $USER in login shells (closes: #36103).
  * Compile with -DSYS_BASHRC defined. /etc/bash.bashrc is empty by default
    (closes #27055).
  * Fixed with boot-floppies 2.1.3 (closes: #22517).
  * debian/patches/mailcheck.dpatch: Add maildir support. Patch from
    Miquel van Smoorenburg <miquels@cistron.nl> (closes #38794).
  * Patches from NMU are applied (should close #43096).
  * debian/control: Make builtins depend on source version of bash.
  * Build for i386, not i486.
  * Report #28811: "dpkg segfaults trying to install bash. Logging in then
    produces segfault. Still having to run 2.00.0(1)". Not reproducable.
  * Report #15165: "If the last command in the pipeline is killed by a signal,
    bash does not report it even though $? contains the correct value".
    Not reproducable.
  * Report #21645: "If you type `rm */text*<TAB>', previous versions would
    complete text given that they're under the same directory. 2.01.1-1
    doesn't do that anymore.". Not documented anywhere. It seems, this was
    a bug disguised as a feature ;-)
  * Report #36027: "During compiling bash package, files with hardcoded names
    are created in /tmp. In a malicious multi-user environment, this allows
    attacks to the user's files and possibly allow creating trojan packages.
    If the compiling user is root...".
    Submitter cannot be reached. autoconf/automake issues? Reassign to general?
  * Report #16700: "bash terminated when I asked it "mailq -v", while in an
    xterm, with a sysload of approx 1"; not reproducable. Submitter offers
    core file.
  * Report #37637: Not reproduceable (should close #37637).
  * Report #37275: A dpkg error? Or just another reason to completely link
    bash statically?
  * Report #34978, #42858: The prerm now is a binary pragram.
    #34977 as well? #36016 (patch)?
  * Report #43737: Non bug. Behaviour changed from 1.4 to 2.0 (closes: #43737).
  * Report #36459: Non bug (closes #36459).
  * Report #19211: Wanted behaviour?
  * Report #11938: The included patch is applied upstream (closes: #11938).
  * Report #10699, #45656: Todo: See #34717 ...
  * Report #35127: Apply included patch. TODO: test and forward upstream.
  * Report #41082: Obsoleted patches (closes: #35130, #41802).
  * Reports tested and still in this version (should be forwarded ...):
    #2301, #21901, #26619, #26720, #27090, #30460, #33900, #34833,
    #36877
    #38804, #41916 (update docs?),
    #46901, #47990.
  * Report #47849: You *must* reset OPTIND to 1 before reusing getopts.
  * Report #45841: This is a POSIX.2/XPG5 requirement.
  * Report #35979, #45379: set -e works on simple commands only.
    (command) is not a simple command.
  * Report #38244: -x and -v and all of the rest of the options are documented
    in the `set' builtin section.  The OPTIONS section of the man page refers
    to `set'.
  * Report #37654: When in a pipeline, `tty' prints `not a tty'.  This is why
    grep is looking for `not' in file `a'.  Try `w | echo $(tty)'.
  * Report #33822: This is a locale problem.  The de_DE locale gives lower case
    and upper case letters the same collating weight.  POSIX.2 warns that
    range expressions are not portable across locales.
  * Report #28789, #22291: resizing xterm bash doesn' t update window limits.
    Use `shopt -s checkwinsize'. (closes: #28789, #22291).
  * Report #39728: Suggestion to add something to /etc/skel files. A matter
    of taste. Added comments where to find `fancy' startup files.

  * Work needed: #33822 (huh?), #42916 and #44015 (update docs, dashs in
    identifiers).

  * Not tested: (#7047, #10259, #10433, #10494), #14287 (how to test?),
    #14658 (how to test?), #16013, #16797, #20455 (alpha arch), #20821,
    #22632, #26571, #29610, #35994 (powerpc arch),
    #36652, #40242, #47179.

 -- Matthias Klose <doko@debian.org>  Sat,  4 Dec 1999 17:03:47 +0100

bash (2.02.1-1.8) unstable; urgency=low

  * Applied Anthonies patch and recompiled as the libc5 version did
    not compile for him (closes: #34717, #43050, #43096, #10699).
  * Bumped the version number of libreadline and recompiled,
    hopefully in time before the dinstall run ;)

 -- Torsten Landschoff <torsten@debian.org>  Sat, 18 Sep 1999 19:26:20 +0200

bash (2.02.1-1.7) unstable; urgency=low

  * Non-maintainer release.
  * Make bash not Pre-Depend on itself. That is, make bash's preinst
    something other than a /bin/sh script; in this case a reasonably
    simple binary.
  * Remove /bin/sh from the .deb, and reinstate it in the postinst if
    it's not already present. Hence make the postinst a /bin/bash script
    instead of a /bin/sh script.

 -- Anthony Towns <ajt@debian.org>  Sat, 28 Aug 1999 01:09:08 +1000

bash (2.02.1-1.6) unstable; urgency=low

  * Non-maintainer release.
  * Link bash statically with libreadline. Closes: #42858.

 -- Thomas Quinot <thomas@debian.org>  Fri, 13 Aug 1999 21:47:35 +0200

bash (2.02.1-1.5) unstable; urgency=low

  * Non-maintainer release.
  * Updated to standards version 3.0.0.
  * Fixed dependency on libreadlineg2. Closes: #35130, #39280, #41802.

 -- Thomas Quinot <thomas@debian.org>  Thu, 29 Jul 1999 13:05:26 +0200

bash (2.02.1-1.4) unstable; urgency=low

  * Non-maintainer release.
  * Make libreadlineg2 conflict with bash (<< 2.02.1-1.2)

 -- Joel Klecker <espy@debian.org>  Thu, 25 Mar 1999 09:40:39 -0800

bash (2.02.1-1.3) unstable; urgency=low

  * Non-maintainer release.
  * Recompile against ncurses 4.2-3.2 for versioned dependency.
  * Add (>= 2.1-13.1) depend to readline shlibs.

 -- Joel Klecker <espy@debian.org>  Thu, 18 Mar 1999 12:33:28 -0800

bash (2.02.1-1.2) unstable; urgency=low

  * Non-maintainer release.
  * Recompile against glibc 2.1 for libreadline.

 -- Joel Klecker <espy@debian.org>  Fri,  5 Mar 1999 09:36:54 -0800

bash (2.02.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced config.{sub,guess} with newer ones for ARM.

 -- Jim Pick <jim@jimpick.com>  Mon, 22 Feb 1999 23:57:53 -0800

bash (2.02.1-1) unstable; urgency=low

  * libreadline 2.1-13
  * Upstream upgrade, closes: #26582
  * Bugs fixed upstream: closes: #21511, #24004.
  * Rules, control fixes for hurd, powerpc, alpha closes: #29123, #29395,
    #24931, #31289.
  * Included paren-matching feature in readline, closes: #27707.
  * Removed convert-meta comment from etc/inputrc, closes: #23035.
  * Use system random instead of lousy builtin one, closes: #22104.

 -- Guy Maor <maor@debian.org>  Mon, 15 Feb 1999 12:57:53 -0800

bash (2.01.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * libreadline 2.1-12
  * Rebuild with ncurses4.0 to avoid packages linked with libreadline
    depending on two versions of ncurses; reported by Martin Mitchell
    <martin@debian.org>. [#27762]
  * debian/rl.shlibs: bump versioned dependency to >= 2.1-12.
  * debian/rules (build): add --with-curses to avoid ever linking with
    termcap; reported by, ehm, Guy Maor <maor@debian.org>. [#25118]

 -- James Troup <james@nocrew.org>  Tue, 20 Oct 1998 03:24:03 +0100

bash (2.01.1-3.1) frozen unstable; urgency=low

  * Non-maintainer release.
  * Build with ncurses3.0-altdev, so libreadline2 doesn't depend on libc6.
  * Use <architecture>-linux instead of <arch>-debian-linux.

 -- Joel Klecker <jk@espy.org>  Tue, 14 July 1998 16:26:43 -0700

bash (2.01.1-3) unstable frozen; urgency=medium

  * libreadline 2.1-10
  * Make libreadlineg2's postinst a c program, like libreadline2.
  * Check return code from tempfile in bashbug, closes: #22349.
  * glibc 2.1 patch, closes #22532.
  * remove . from /etc/profile PATH, closes #22738.

 -- Guy Maor <maor@ece.utexas.edu>  Mon, 25 May 1998 22:41:06 -0700

bash (2.01.1-2) unstable frozen; urgency=high

  * libreadline 2.1-9.
  * Predepend on libreadlineg2 >= 2.1-8, closes: #20572.

 -- Guy Maor <maor@ece.utexas.edu>  Wed,  8 Apr 1998 01:07:10 -0700

bash (2.01.1-1) frozen unstable; urgency=low

  * libreadline 2.1-8.
  * Upstream upgrade, closes: #13762, #14446, #18296.
  * Fixed /etc/inputrc, closes: #19745, #19075, #13643, #18004, #17256,
    #15345, #14672, #15213, #15345, #15638, #18004, #16797, #15638, #19241.
  * Applied patch to read End, Delete, closes: #20053.
  * Don't build libc5 packages on alpha & powerpc, closes: #13761, #15538,
    #15829.
  * Add sh(1) - symlink to bash(1), close: #15659.
  * Fix unsafe requests in rbash(1), builtins(1), closes: #19086.
  * bashbug uses tempfile, closes: #19781.
  * fixed fc -l segfault, closes: #13726.

 -- Guy Maor <maor@ece.utexas.edu>  Sat, 28 Mar 1998 19:34:15 -0800

bash (2.01-5) unstable; urgency=low

  * libreadline 2.1-7
  * libreadline tries INPUTRC if it's set, else _both_ /etc/inputrc and
    ~/.inputrc
  * A better /etc/inputrc.

 -- Guy Maor <maor@ece.utexas.edu>  Thu, 25 Sep 1997 11:38:41 -0500

bash (2.01-4) unstable; urgency=low

  * libreadline 2.1-6
  * bash-builtin examples moved to correct place.
  * libreadline tries /etc/inputrc if ~/.inputrc doesn't exist.
  * set -a; set +a problem seems to be fixed (8390)

 -- Guy Maor <maor@ece.utexas.edu>  Wed, 24 Sep 1997 14:36:02 -0500

bash (2.01-3) unstable; urgency=low

  * libreadline 2.1-5
  * Bash depended on wrong version of libreadlineg2. (#12150, #12316)
  * Put current version in libreadlineg2 shlibs file.
  * Honor TMPDIR by using tempnam(3) (#9201).

 -- Guy Maor <maor@ece.utexas.edu>  Sun, 24 Aug 1997 23:31:19 -0500

bash (2.01-2) unstable; urgency=low

  * libreadline 2.1-4
  * Make bash predepend on libreadlineg2 (>=2.01-1) so as not to break
    systems which installed James's releases.
  * Fix references to shell runtime code in libreadline.so and libhistory.so.
  * Fix declare -p dumping core on empty temp variable (#12017).
  * make_quoted_replacement() checks for empty rl_filename_quote_characters
    (12051).
  * readline/readline.h - rl_dispatching should be extern (#11049).
  * Added libreadline2g-dbg.

 -- Guy Maor <maor@ece.utexas.edu>  Sat, 16 Aug 1997 13:38:37 -0500

bash (2.01-1) unstable; urgency=low

  * libreadline 2.1-3
  * Maintainer release of 2.01.  (2.01 fixes 3815, 4783, 7782, 8439, 10416,
    10598, 10604, 11806).
  * Cleaned and corrected rules, Makefiles, control files. (7580, 11406).
  * Reimplemented SHELL compile time as runtime check.  Backward compatible
    with old bash (10916).
  * Added rbash man page (8645).
  * ldconfig run in postinst, compiled as libc5 (10176)
  * :( set -a;set +a problem still there, but acts differently.

 -- Guy Maor <maor@ece.utexas.edu>  Thu, 14 Aug 1997 15:35:23 -0500

bash (2.01-0.1) unstable; urgency=high

  * libreadline 2.1-2.2
  * libreadline2 now has a preinst script which ensures that ld.so.1
    knows about /lib/libc5-compat and /usr/lib/libc5-compat.  Before this
    change, trying to install with a libc (< 5.4.23-4) broke bash.
  * libreadlineg2 no longer has version dependant shlibs file [#10742].

 -- James Troup <jjtroup@comp.brad.ac.uk>  Mon, 23 Jun 1997 22:00:18 +0100

bash (2.01-0) unstable; urgency=medium

  * libreadline 2.1-2.1
  * Non-maintainer release
  * New upstream version [#10416, #10598, #10604, #8390]
  * Rebuilt for glibc; now provides libreadline2g{,-dev} and
    libreadline2{,-altdev}.
  * Not all of Guy's changes are implemented, noticeably a security
    improvement in execute-cmds.c and his alteration of libreadline's
    compile time dependance on -DSHELL to run time dependance.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Thur, 19 June 1997 19:13:34 +0100

bash (2.0-3) unstable; urgency=medium

  * libreadline 2.1-2
  * #include <sys/types.h> in general.h needed for alpha build (#7658)
  * Don't drop suid/sgid bits if invoked as sh (#7796)
  * Applied patch to fix time in for loop (#7436)
  * Split off bash-builtins with examples & necessary headers
  * Juggled libreadline2 documentation around (#7275)

 -- Guy Maor <maor@ece.utexas.edu>  Mon, 10 Mar 1997 12:45:06 -0600

bash (2.0-2) unstable; urgency=low

  * Added NEWS, COMPAT to /usr/doc/bash

 -- Guy Maor <maor@ece.utexas.edu>  Fri, 7 Feb 1997 17:35:21 -0600

bash (2.0-1) unstable; urgency=low

  * Upstream upgrade.
  * .bash_history created 600 by default.
  * Security improvements when creating files in /tmp
  * Reimplemented SHELL run-time check with backward 2.0 compatibility

 -- Guy Maor <maor@ece.utexas.edu>  Wed, 29 Jan 1997 03:31:47 -0600

bash (1.14.7-2) frozen unstable; urgency=low

  * libhistory.so had wrong soname (fixes bug 5381).

 -- Guy Maor <maor@ece.utexas.edu>  Sat, 16 Nov 1996 11:07:08 -0600

bash (1.14.7-1) frozen unstable; urgency=low

  * New upstream version converted to new source format.
    libreadline2, libreadline2-dev produced from bash source.
  * Made libreadline SHELL define into a runtime check with rl_shell,
    history_shell flags, 4 hooks.
  * echo checks write errors (fixes 818).
  * default unreadable .bash_history in /etc/skel (fixes 1549).

 -- Guy Maor <maor@ece.utexas.edu>  Sat, 9 Nov 1996 05:07:31 -0600

